"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultColors = void 0;

var _memoizeOne = _interopRequireDefault(require("memoize-one"));

var colors = _interopRequireWildcard(require("@atlaskit/theme/colors"));

var _components = require("@atlaskit/theme/components");

var T800 = '#067384';
var Y1100 = '#7A5D1A';
var PLUS20 = '#3A434E'; // Hardcoded values have been used due to the current color palette not having any
// accessible color options for Teal and Yellow and +20A

var defaultColors = (0, _memoizeOne.default)(function (theme) {
  var akTheme = {
    theme: theme
  };
  return {
    lineNumberColor: (0, _components.themed)({
      light: colors.N400,
      dark: colors.DN400
    })(akTheme),
    lineNumberBgColor: (0, _components.themed)({
      light: colors.N30,
      dark: colors.DN20
    })(akTheme),
    highlightedLineBgColor: (0, _components.themed)({
      light: colors.N30,
      dark: PLUS20
    })(akTheme),
    highlightedLineBorderColor: (0, _components.themed)({
      light: colors.B200,
      dark: colors.B100
    })(akTheme),
    backgroundColor: (0, _components.themed)({
      light: colors.N20,
      dark: colors.DN50
    })(akTheme),
    textColor: (0, _components.themed)({
      light: colors.N800,
      dark: colors.DN800
    })(akTheme),
    substringColor: (0, _components.themed)({
      light: colors.N400,
      dark: colors.DN400
    })(akTheme),
    keywordColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    attributeColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    selectorTagColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    docTagColor: (0, _components.themed)({
      light: Y1100,
      dark: colors.Y300
    })(akTheme),
    nameColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    builtInColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    literalColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    bulletColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    codeColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    regexpColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    symbolColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    variableColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    templateVariableColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    linkColor: (0, _components.themed)({
      light: colors.P300,
      dark: colors.P75
    })(akTheme),
    selectorAttributeColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    selectorPseudoColor: (0, _components.themed)({
      light: T800,
      dark: colors.T200
    })(akTheme),
    typeColor: (0, _components.themed)({
      light: T800,
      dark: colors.T100
    })(akTheme),
    stringColor: (0, _components.themed)({
      light: colors.G500,
      dark: colors.G200
    })(akTheme),
    selectorIdColor: (0, _components.themed)({
      light: T800,
      dark: colors.T100
    })(akTheme),
    selectorClassColor: (0, _components.themed)({
      light: T800,
      dark: colors.T100
    })(akTheme),
    quoteColor: (0, _components.themed)({
      light: T800,
      dark: colors.T100
    })(akTheme),
    templateTagColor: (0, _components.themed)({
      light: T800,
      dark: colors.T100
    })(akTheme),
    titleColor: (0, _components.themed)({
      light: colors.P300,
      dark: colors.P75
    })(akTheme),
    sectionColor: (0, _components.themed)({
      light: colors.P300,
      dark: colors.P75
    })(akTheme),
    commentColor: (0, _components.themed)({
      light: colors.N400,
      dark: colors.DN400
    })(akTheme),
    metaKeywordColor: (0, _components.themed)({
      light: colors.G500,
      dark: colors.G200
    })(akTheme),
    metaColor: (0, _components.themed)({
      light: colors.N400,
      dark: colors.DN400
    })(akTheme),
    functionColor: (0, _components.themed)({
      light: colors.N800,
      dark: colors.DN800
    })(akTheme),
    numberColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    prologColor: (0, _components.themed)({
      light: colors.B400,
      dark: colors.B75
    })(akTheme),
    cdataColor: (0, _components.themed)({
      light: colors.N400,
      dark: colors.B75
    })(akTheme),
    punctuationColor: (0, _components.themed)({
      light: colors.N800,
      dark: colors.DN800
    })(akTheme),
    propertyColor: (0, _components.themed)({
      light: colors.P300,
      dark: colors.P75
    })(akTheme),
    constantColor: (0, _components.themed)({
      light: T800,
      dark: colors.T100
    })(akTheme),
    booleanColor: (0, _components.themed)({
      light: colors.B500,
      dark: colors.B75
    })(akTheme),
    charColor: (0, _components.themed)({
      light: colors.N800,
      dark: colors.DN800
    })(akTheme),
    insertedColor: (0, _components.themed)({
      light: colors.G500,
      dark: colors.B75
    })(akTheme),
    deletedColor: (0, _components.themed)({
      light: colors.R500,
      dark: colors.B75
    })(akTheme),
    operatorColor: (0, _components.themed)({
      light: colors.N800,
      dark: colors.B75
    })(akTheme),
    atruleColor: (0, _components.themed)({
      light: colors.G500,
      dark: colors.G200
    })(akTheme),
    importantColor: (0, _components.themed)({
      light: Y1100,
      dark: colors.Y300
    })(akTheme)
  };
});
exports.defaultColors = defaultColors;