import _extends from "@babel/runtime/helpers/extends";
import React, { memo } from 'react';
import { PrismAsyncLight as SyntaxHighlighter } from 'react-syntax-highlighter';
import { normalizeLanguage } from '../supportedLanguages';
import { applyTheme } from '../themes/themeBuilder';

const Code = ({
  language = 'text',
  theme = {},
  codeStyle,
  codeTagProps = {},
  preTag = 'span',
  testId,
  text
}) => {
  const {
    inlineCodeStyle
  } = applyTheme(theme);
  const props = {
    language: normalizeLanguage(language),
    PreTag: preTag,
    style: codeStyle || inlineCodeStyle,
    codeTagProps: codeTagProps
  };
  return /*#__PURE__*/React.createElement(SyntaxHighlighter, _extends({
    "data-code-lang": language,
    "data-testid": testId
  }, props), text);
};

export default /*#__PURE__*/memo(Code);