import type { CSSObject } from '@emotion/core';
import type { ThemeProps } from '@atlaskit/theme/types';
import { VAR_CODE_LINE_NUMBER_BG_COLOR } from './constants';
import type { CodeBlockTheme, CodeTheme } from './types';
export declare const getLineNumWidth: (numLines: number) => string;
export declare function applyTheme(theme?: ThemeProps | CodeTheme | CodeBlockTheme, maxLines?: number): {
    lineNumberStyle: CSSObject;
    codeBlockStyle: {
        key: {
            color: string | undefined;
            fontWeight: string;
        };
        keyword: {
            color: string | undefined;
            fontWeight: string;
        };
        'attr-name': {
            color: string | undefined;
        };
        selector: {
            color: string | undefined;
        };
        comment: {
            color: string | undefined;
            fontFamily: string;
            fontStyle: string;
        };
        'block-comment': {
            color: string | undefined;
            fontFamily: string;
            fontStyle: string;
        };
        'function-name': {
            color: string | undefined;
        };
        'class-name': {
            color: string | undefined;
        };
        doctype: {
            color: string | undefined;
        };
        substr: {
            color: string | undefined;
        };
        namespace: {
            color: string | undefined;
        };
        builtin: {
            color: string | undefined;
        };
        entity: {
            color: string | undefined;
        };
        bullet: {
            color: string | undefined;
        };
        code: {
            color: string | undefined;
        };
        regex: {
            color: string | undefined;
        };
        symbol: {
            color: string | undefined;
        };
        variable: {
            color: string | undefined;
        };
        url: {
            color: string | undefined;
        };
        'selector-attr': {
            color: string | undefined;
        };
        'selector-pseudo': {
            color: string | undefined;
        };
        type: {
            color: string | undefined;
        };
        string: {
            color: string | undefined;
        };
        quote: {
            color: string | undefined;
        };
        tag: {
            color: string | undefined;
        };
        title: {
            color: string | undefined;
        };
        section: {
            color: string | undefined;
        };
        'meta-keyword': {
            color: string | undefined;
        };
        meta: {
            color: string | undefined;
        };
        italic: {
            fontStyle: string;
        };
        bold: {
            fontWeight: string;
        };
        function: {
            color: string | undefined;
        };
        number: {
            color: string | undefined;
        };
        'attr-value': {
            color: string | undefined;
        };
        prolog: {
            color: string | undefined;
        };
        cdata: {
            color: string | undefined;
        };
        punctuation: {
            color: string | undefined;
        };
        property: {
            color: string | undefined;
        };
        constant: {
            color: string | undefined;
        };
        deleted: {
            color: string | undefined;
        };
        boolean: {
            color: string | undefined;
        };
        char: {
            color: string | undefined;
        };
        inserted: {
            color: string | undefined;
        };
        operator: {
            color: string | undefined;
        };
        atrule: {
            color: string | undefined;
        };
        important: {
            color: string | undefined;
            fontWeight: string;
        };
        'pre[class*="language-"]': CSSObject;
    };
    inlineCodeStyle: {
        key: {
            color: string | undefined;
            fontWeight: string;
        };
        keyword: {
            color: string | undefined;
            fontWeight: string;
        };
        'attr-name': {
            color: string | undefined;
        };
        selector: {
            color: string | undefined;
        };
        comment: {
            color: string | undefined;
            fontFamily: string;
            fontStyle: string;
        };
        'block-comment': {
            color: string | undefined;
            fontFamily: string;
            fontStyle: string;
        };
        'function-name': {
            color: string | undefined;
        };
        'class-name': {
            color: string | undefined;
        };
        doctype: {
            color: string | undefined;
        };
        substr: {
            color: string | undefined;
        };
        namespace: {
            color: string | undefined;
        };
        builtin: {
            color: string | undefined;
        };
        entity: {
            color: string | undefined;
        };
        bullet: {
            color: string | undefined;
        };
        code: {
            color: string | undefined;
        };
        regex: {
            color: string | undefined;
        };
        symbol: {
            color: string | undefined;
        };
        variable: {
            color: string | undefined;
        };
        url: {
            color: string | undefined;
        };
        'selector-attr': {
            color: string | undefined;
        };
        'selector-pseudo': {
            color: string | undefined;
        };
        type: {
            color: string | undefined;
        };
        string: {
            color: string | undefined;
        };
        quote: {
            color: string | undefined;
        };
        tag: {
            color: string | undefined;
        };
        title: {
            color: string | undefined;
        };
        section: {
            color: string | undefined;
        };
        'meta-keyword': {
            color: string | undefined;
        };
        meta: {
            color: string | undefined;
        };
        italic: {
            fontStyle: string;
        };
        bold: {
            fontWeight: string;
        };
        function: {
            color: string | undefined;
        };
        number: {
            color: string | undefined;
        };
        'attr-value': {
            color: string | undefined;
        };
        prolog: {
            color: string | undefined;
        };
        cdata: {
            color: string | undefined;
        };
        punctuation: {
            color: string | undefined;
        };
        property: {
            color: string | undefined;
        };
        constant: {
            color: string | undefined;
        };
        deleted: {
            color: string | undefined;
        };
        boolean: {
            color: string | undefined;
        };
        char: {
            color: string | undefined;
        };
        inserted: {
            color: string | undefined;
        };
        operator: {
            color: string | undefined;
        };
        atrule: {
            color: string | undefined;
        };
        important: {
            color: string | undefined;
            fontWeight: string;
        };
        'pre[class*="language-"]': {
            padding: string;
            display: string;
            whiteSpace: string;
            alignContent?: string | string[] | undefined;
            alignItems?: string | string[] | undefined;
            alignSelf?: string | string[] | undefined;
            animationDelay?: string | string[] | undefined;
            animationDirection?: string | string[] | undefined;
            animationDuration?: string | string[] | undefined;
            animationFillMode?: string | string[] | undefined;
            animationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            animationName?: string | string[] | undefined;
            animationPlayState?: string | string[] | undefined;
            animationTimingFunction?: string | string[] | undefined;
            appearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | undefined;
            backdropFilter?: string | string[] | undefined;
            backfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | import("csstype").BackfaceVisibilityProperty[] | undefined;
            backgroundAttachment?: string | string[] | undefined;
            backgroundBlendMode?: string | string[] | undefined;
            backgroundClip?: string | string[] | undefined;
            backgroundColor?: string | string[] | undefined;
            backgroundImage?: string | string[] | undefined;
            backgroundOrigin?: string | string[] | undefined;
            backgroundPosition?: string | number | string[] | (string | number)[] | undefined;
            backgroundPositionX?: string | number | string[] | (string | number)[] | undefined;
            backgroundPositionY?: string | number | string[] | (string | number)[] | undefined;
            backgroundRepeat?: string | string[] | undefined;
            backgroundSize?: string | number | string[] | (string | number)[] | undefined;
            blockOverflow?: string | string[] | undefined;
            blockSize?: string | number | string[] | (string | number)[] | undefined;
            borderBlockColor?: string | string[] | undefined;
            borderBlockEndColor?: string | string[] | undefined;
            borderBlockEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBlockEndWidth?: string | number | string[] | (string | number)[] | undefined;
            borderBlockStartColor?: string | string[] | undefined;
            borderBlockStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBlockStartWidth?: string | number | string[] | (string | number)[] | undefined;
            borderBlockStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBlockWidth?: string | number | string[] | (string | number)[] | undefined;
            borderBottomColor?: string | string[] | undefined;
            borderBottomLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            borderBottomRightRadius?: string | number | string[] | (string | number)[] | undefined;
            borderBottomStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBottomWidth?: string | number | string[] | (string | number)[] | undefined;
            borderCollapse?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "collapse" | "separate" | import("csstype").BorderCollapseProperty[] | undefined;
            borderEndEndRadius?: string | number | string[] | (string | number)[] | undefined;
            borderEndStartRadius?: string | number | string[] | (string | number)[] | undefined;
            borderImageOutset?: string | number | string[] | (string | number)[] | undefined;
            borderImageRepeat?: string | string[] | undefined;
            borderImageSlice?: string | number | string[] | (string | number)[] | undefined;
            borderImageSource?: string | string[] | undefined;
            borderImageWidth?: string | number | string[] | (string | number)[] | undefined;
            borderInlineColor?: string | string[] | undefined;
            borderInlineEndColor?: string | string[] | undefined;
            borderInlineEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderInlineEndWidth?: string | number | string[] | (string | number)[] | undefined;
            borderInlineStartColor?: string | string[] | undefined;
            borderInlineStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderInlineStartWidth?: string | number | string[] | (string | number)[] | undefined;
            borderInlineStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderInlineWidth?: string | number | string[] | (string | number)[] | undefined;
            borderLeftColor?: string | string[] | undefined;
            borderLeftStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderLeftWidth?: string | number | string[] | (string | number)[] | undefined;
            borderRightColor?: string | string[] | undefined;
            borderRightStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderRightWidth?: string | number | string[] | (string | number)[] | undefined;
            borderSpacing?: string | number | string[] | (string | number)[] | undefined;
            borderStartEndRadius?: string | number | string[] | (string | number)[] | undefined;
            borderStartStartRadius?: string | number | string[] | (string | number)[] | undefined;
            borderTopColor?: string | string[] | undefined;
            borderTopLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            borderTopRightRadius?: string | number | string[] | (string | number)[] | undefined;
            borderTopStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderTopWidth?: string | number | string[] | (string | number)[] | undefined;
            bottom?: string | number | string[] | (string | number)[] | undefined;
            boxDecorationBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | import("csstype").BoxDecorationBreakProperty[] | undefined;
            boxShadow?: string | string[] | undefined;
            boxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | import("csstype").BoxSizingProperty[] | undefined;
            breakAfter?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | "column" | "page" | "recto" | "region" | "verso" | import("csstype").BreakAfterProperty[] | undefined;
            breakBefore?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | "column" | "page" | "recto" | "region" | "verso" | import("csstype").BreakAfterProperty[] | undefined;
            breakInside?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | import("csstype").BreakInsideProperty[] | undefined;
            captionSide?: "bottom" | "top" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "block-end" | "block-start" | "inline-end" | "inline-start" | import("csstype").CaptionSideProperty[] | undefined;
            caretColor?: string | string[] | undefined;
            clear?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "inline-end" | "inline-start" | import("csstype").ClearProperty[] | undefined;
            clipPath?: string | string[] | undefined;
            color?: string | string[] | undefined;
            colorAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "economy" | "exact" | import("csstype").ColorAdjustProperty[] | undefined;
            columnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            columnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | import("csstype").ColumnFillProperty[] | undefined;
            columnGap?: string | number | string[] | (string | number)[] | undefined;
            columnRuleColor?: string | string[] | undefined;
            columnRuleStyle?: string | string[] | undefined;
            columnRuleWidth?: string | number | string[] | (string | number)[] | undefined;
            columnSpan?: "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").ColumnSpanProperty[] | undefined;
            columnWidth?: string | number | string[] | (string | number)[] | undefined;
            contain?: string | string[] | undefined;
            content?: string | string[] | undefined;
            counterIncrement?: string | string[] | undefined;
            counterReset?: string | string[] | undefined;
            cursor?: string | string[] | undefined;
            direction?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "ltr" | "rtl" | import("csstype").DirectionProperty[] | undefined;
            emptyCells?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hide" | "show" | import("csstype").EmptyCellsProperty[] | undefined;
            filter?: string | string[] | undefined;
            flexBasis?: string | number | string[] | (string | number)[] | undefined;
            flexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | import("csstype").FlexDirectionProperty[] | undefined;
            flexGrow?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            flexShrink?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            flexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | import("csstype").FlexWrapProperty[] | undefined;
            float?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "inline-end" | "inline-start" | import("csstype").FloatProperty[] | undefined;
            fontFamily?: string | string[] | undefined;
            fontFeatureSettings?: string | string[] | undefined;
            fontKerning?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "none" | import("csstype").FontKerningProperty[] | undefined;
            fontLanguageOverride?: string | string[] | undefined;
            fontOpticalSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            fontSize?: string | number | string[] | (string | number)[] | undefined;
            fontSizeAdjust?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            fontStretch?: string | string[] | undefined;
            fontStyle?: string | string[] | undefined;
            fontSynthesis?: string | string[] | undefined;
            fontVariant?: string | string[] | undefined;
            fontVariantCaps?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "all-petite-caps" | "all-small-caps" | "petite-caps" | "small-caps" | "titling-caps" | "unicase" | import("csstype").FontVariantCapsProperty[] | undefined;
            fontVariantEastAsian?: string | string[] | undefined;
            fontVariantLigatures?: string | string[] | undefined;
            fontVariantNumeric?: string | string[] | undefined;
            fontVariantPosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "sub" | "super" | import("csstype").FontVariantPositionProperty[] | undefined;
            fontVariationSettings?: string | string[] | undefined;
            fontWeight?: number | "bolder" | "bold" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "lighter" | import("csstype").FontWeightProperty[] | ("bolder" | "bold" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "lighter")[] | undefined;
            gridAutoColumns?: string | number | string[] | (string | number)[] | undefined;
            gridAutoFlow?: string | string[] | undefined;
            gridAutoRows?: string | number | string[] | (string | number)[] | undefined;
            gridColumnEnd?: string | number | string[] | (string | number)[] | undefined;
            gridColumnStart?: string | number | string[] | (string | number)[] | undefined;
            gridRowEnd?: string | number | string[] | (string | number)[] | undefined;
            gridRowStart?: string | number | string[] | (string | number)[] | undefined;
            gridTemplateAreas?: string | string[] | undefined;
            gridTemplateColumns?: string | number | string[] | (string | number)[] | undefined;
            gridTemplateRows?: string | number | string[] | (string | number)[] | undefined;
            hangingPunctuation?: string | string[] | undefined;
            height?: string | number | string[] | (string | number)[] | undefined;
            hyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            imageOrientation?: string | string[] | undefined;
            imageRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "-moz-crisp-edges" | "-o-crisp-edges" | "-webkit-optimize-contrast" | "crisp-edges" | "pixelated" | import("csstype").ImageRenderingProperty[] | undefined;
            imageResolution?: string | string[] | undefined;
            initialLetter?: string | number | string[] | (string | number)[] | undefined;
            inlineSize?: string | number | string[] | (string | number)[] | undefined;
            insetBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            insetBlockStart?: string | number | string[] | (string | number)[] | undefined;
            insetInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            insetInlineStart?: string | number | string[] | (string | number)[] | undefined;
            isolation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "isolate" | import("csstype").IsolationProperty[] | undefined;
            justifyContent?: string | string[] | undefined;
            justifyItems?: string | string[] | undefined;
            justifySelf?: string | string[] | undefined;
            left?: string | number | string[] | (string | number)[] | undefined;
            letterSpacing?: string | number | string[] | (string | number)[] | undefined;
            lineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | import("csstype").LineBreakProperty[] | undefined;
            lineHeight?: string | number | string[] | (string | number)[] | undefined;
            lineHeightStep?: string | number | string[] | (string | number)[] | undefined;
            listStyleImage?: string | string[] | undefined;
            listStylePosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "inside" | "outside" | import("csstype").ListStylePositionProperty[] | undefined;
            listStyleType?: string | string[] | undefined;
            marginBlock?: string | number | string[] | (string | number)[] | undefined;
            marginBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            marginBlockStart?: string | number | string[] | (string | number)[] | undefined;
            marginBottom?: string | number | string[] | (string | number)[] | undefined;
            marginInline?: string | number | string[] | (string | number)[] | undefined;
            marginInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            marginInlineStart?: string | number | string[] | (string | number)[] | undefined;
            marginLeft?: string | number | string[] | (string | number)[] | undefined;
            marginRight?: string | number | string[] | (string | number)[] | undefined;
            marginTop?: string | number | string[] | (string | number)[] | undefined;
            maskBorderMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "alpha" | "luminance" | import("csstype").MaskBorderModeProperty[] | undefined;
            maskBorderOutset?: string | number | string[] | (string | number)[] | undefined;
            maskBorderRepeat?: string | string[] | undefined;
            maskBorderSlice?: string | number | string[] | (string | number)[] | undefined;
            maskBorderSource?: string | string[] | undefined;
            maskBorderWidth?: string | number | string[] | (string | number)[] | undefined;
            maskClip?: string | string[] | undefined;
            maskComposite?: string | string[] | undefined;
            maskImage?: string | string[] | undefined;
            maskMode?: string | string[] | undefined;
            maskOrigin?: string | string[] | undefined;
            maskPosition?: string | number | string[] | (string | number)[] | undefined;
            maskRepeat?: string | string[] | undefined;
            maskSize?: string | number | string[] | (string | number)[] | undefined;
            maskType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "alpha" | "luminance" | import("csstype").MaskBorderModeProperty[] | undefined;
            maxBlockSize?: string | number | string[] | (string | number)[] | undefined;
            maxHeight?: string | number | string[] | (string | number)[] | undefined;
            maxInlineSize?: string | number | string[] | (string | number)[] | undefined;
            maxLines?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            maxWidth?: string | number | string[] | (string | number)[] | undefined;
            minBlockSize?: string | number | string[] | (string | number)[] | undefined;
            minHeight?: string | number | string[] | (string | number)[] | undefined;
            minInlineSize?: string | number | string[] | (string | number)[] | undefined;
            minWidth?: string | number | string[] | (string | number)[] | undefined;
            mixBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | import("csstype").MixBlendModeProperty[] | undefined;
            motionDistance?: string | number | string[] | (string | number)[] | undefined;
            motionPath?: string | string[] | undefined;
            motionRotation?: string | string[] | undefined;
            objectFit?: "contain" | "fill" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "cover" | "scale-down" | import("csstype").ObjectFitProperty[] | undefined;
            objectPosition?: string | number | string[] | (string | number)[] | undefined;
            offsetAnchor?: string | number | string[] | (string | number)[] | undefined;
            offsetDistance?: string | number | string[] | (string | number)[] | undefined;
            offsetPath?: string | string[] | undefined;
            offsetPosition?: string | number | string[] | (string | number)[] | undefined;
            offsetRotate?: string | string[] | undefined;
            offsetRotation?: string | string[] | undefined;
            opacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            order?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            orphans?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            outlineColor?: string | string[] | undefined;
            outlineOffset?: string | number | string[] | (string | number)[] | undefined;
            outlineStyle?: string | string[] | undefined;
            outlineWidth?: string | number | string[] | (string | number)[] | undefined;
            overflow?: string | string[] | undefined;
            overflowAnchor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            overflowBlock?: string | string[] | undefined;
            overflowClipBox?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "content-box" | "padding-box" | import("csstype").OverflowClipBoxProperty[] | undefined;
            overflowInline?: string | string[] | undefined;
            overflowWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "anywhere" | "break-word" | import("csstype").OverflowWrapProperty[] | undefined;
            overflowX?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            overflowY?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            overscrollBehavior?: string | string[] | undefined;
            overscrollBehaviorX?: "contain" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").OverscrollBehaviorXProperty[] | undefined;
            overscrollBehaviorY?: "contain" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").OverscrollBehaviorXProperty[] | undefined;
            paddingBlock?: string | number | string[] | (string | number)[] | undefined;
            paddingBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            paddingBlockStart?: string | number | string[] | (string | number)[] | undefined;
            paddingBottom?: string | number | string[] | (string | number)[] | undefined;
            paddingInline?: string | number | string[] | (string | number)[] | undefined;
            paddingInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            paddingInlineStart?: string | number | string[] | (string | number)[] | undefined;
            paddingLeft?: string | number | string[] | (string | number)[] | undefined;
            paddingRight?: string | number | string[] | (string | number)[] | undefined;
            paddingTop?: string | number | string[] | (string | number)[] | undefined;
            pageBreakAfter?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "recto" | "verso" | "always" | import("csstype").PageBreakAfterProperty[] | undefined;
            pageBreakBefore?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "recto" | "verso" | "always" | import("csstype").PageBreakAfterProperty[] | undefined;
            pageBreakInside?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | import("csstype").PageBreakInsideProperty[] | undefined;
            paintOrder?: string | string[] | undefined;
            perspective?: string | number | string[] | (string | number)[] | undefined;
            perspectiveOrigin?: string | number | string[] | (string | number)[] | undefined;
            placeContent?: string | string[] | undefined;
            pointerEvents?: "all" | "fill" | "stroke" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "visible" | "painted" | "visibleFill" | "visiblePainted" | "visibleStroke" | import("csstype").PointerEventsProperty[] | undefined;
            position?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "fixed" | "-webkit-sticky" | "absolute" | "relative" | "static" | "sticky" | import("csstype").PositionProperty[] | undefined;
            quotes?: string | string[] | undefined;
            resize?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "block" | "inline" | "horizontal" | "vertical" | import("csstype").ResizeProperty[] | undefined;
            right?: string | number | string[] | (string | number)[] | undefined;
            rotate?: string | string[] | undefined;
            rowGap?: string | number | string[] | (string | number)[] | undefined;
            rubyAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "space-around" | "space-between" | "center" | "start" | import("csstype").RubyAlignProperty[] | undefined;
            rubyMerge?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "collapse" | "separate" | import("csstype").RubyMergeProperty[] | undefined;
            rubyPosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "inter-character" | "over" | "under" | import("csstype").RubyPositionProperty[] | undefined;
            scale?: string | number | string[] | (string | number)[] | undefined;
            scrollBehavior?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "smooth" | import("csstype").ScrollBehaviorProperty[] | undefined;
            scrollMargin?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBlock?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBlockStart?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBottom?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginInlineStart?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginLeft?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginRight?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginTop?: string | number | string[] | (string | number)[] | undefined;
            scrollPadding?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBlock?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBlockStart?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBottom?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingInline?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingInlineStart?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingLeft?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingRight?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingTop?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapAlign?: string | string[] | undefined;
            scrollSnapType?: string | string[] | undefined;
            scrollbarColor?: string | string[] | undefined;
            scrollbarWidth?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "thin" | import("csstype").ScrollbarWidthProperty[] | undefined;
            shapeImageThreshold?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            shapeMargin?: string | number | string[] | (string | number)[] | undefined;
            shapeOutside?: string | string[] | undefined;
            tabSize?: string | number | string[] | (string | number)[] | undefined;
            tableLayout?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "fixed" | import("csstype").TableLayoutProperty[] | undefined;
            textAlign?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | "match-parent" | import("csstype").TextAlignProperty[] | undefined;
            textAlignLast?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "auto" | "justify" | import("csstype").TextAlignLastProperty[] | undefined;
            textCombineUpright?: string | string[] | undefined;
            textDecorationColor?: string | string[] | undefined;
            textDecorationLine?: string | string[] | undefined;
            textDecorationSkip?: string | string[] | undefined;
            textDecorationSkipInk?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            textDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | import("csstype").TextDecorationStyleProperty[] | undefined;
            textEmphasisColor?: string | string[] | undefined;
            textEmphasisPosition?: string | string[] | undefined;
            textEmphasisStyle?: string | string[] | undefined;
            textIndent?: string | number | string[] | (string | number)[] | undefined;
            textJustify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "inter-character" | "inter-word" | import("csstype").TextJustifyProperty[] | undefined;
            textOrientation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "mixed" | "sideways" | "upright" | import("csstype").TextOrientationProperty[] | undefined;
            textOverflow?: string | string[] | undefined;
            textRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "geometricPrecision" | "optimizeLegibility" | "optimizeSpeed" | import("csstype").TextRenderingProperty[] | undefined;
            textShadow?: string | string[] | undefined;
            textSizeAdjust?: string | string[] | undefined;
            textTransform?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "full-width" | "capitalize" | "lowercase" | "uppercase" | import("csstype").TextTransformProperty[] | undefined;
            textUnderlinePosition?: string | string[] | undefined;
            top?: string | number | string[] | (string | number)[] | undefined;
            touchAction?: string | string[] | undefined;
            transform?: string | string[] | undefined;
            transformBox?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "fill-box" | "view-box" | import("csstype").TransformBoxProperty[] | undefined;
            transformOrigin?: string | number | string[] | (string | number)[] | undefined;
            transformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | import("csstype").TransformStyleProperty[] | undefined;
            transitionDelay?: string | string[] | undefined;
            transitionDuration?: string | string[] | undefined;
            transitionProperty?: string | string[] | undefined;
            transitionTimingFunction?: string | string[] | undefined;
            translate?: string | number | string[] | (string | number)[] | undefined;
            unicodeBidi?: "plaintext" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "isolate" | "-moz-isolate" | "-moz-isolate-override" | "-moz-plaintext" | "-webkit-isolate" | "bidi-override" | "embed" | "isolate-override" | import("csstype").UnicodeBidiProperty[] | undefined;
            userSelect?: "text" | "contain" | "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-moz-none" | "element" | import("csstype").UserSelectProperty[] | undefined;
            verticalAlign?: string | number | string[] | (string | number)[] | undefined;
            visibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | "collapse" | import("csstype").VisibilityProperty[] | undefined;
            widows?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            width?: string | number | string[] | (string | number)[] | undefined;
            willChange?: string | string[] | undefined;
            wordBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | "break-all" | "keep-all" | import("csstype").WordBreakProperty[] | undefined;
            wordSpacing?: string | number | string[] | (string | number)[] | undefined;
            wordWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | import("csstype").WordWrapProperty[] | undefined;
            writingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | import("csstype").WritingModeProperty[] | undefined;
            zIndex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            zoom?: string | number | string[] | (string | number)[] | undefined;
            all?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").Globals[] | undefined;
            animation?: string | number | string[] | (string | number)[] | undefined;
            background?: string | number | string[] | (string | number)[] | undefined;
            border?: string | number | string[] | (string | number)[] | undefined;
            borderBlock?: string | number | string[] | (string | number)[] | undefined;
            borderBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            borderBlockStart?: string | number | string[] | (string | number)[] | undefined;
            borderBottom?: string | number | string[] | (string | number)[] | undefined;
            borderColor?: string | string[] | undefined;
            borderImage?: string | number | string[] | (string | number)[] | undefined;
            borderInline?: string | number | string[] | (string | number)[] | undefined;
            borderInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            borderInlineStart?: string | number | string[] | (string | number)[] | undefined;
            borderLeft?: string | number | string[] | (string | number)[] | undefined;
            borderRadius?: string | number | string[] | (string | number)[] | undefined;
            borderRight?: string | number | string[] | (string | number)[] | undefined;
            borderStyle?: string | string[] | undefined;
            borderTop?: string | number | string[] | (string | number)[] | undefined;
            borderWidth?: string | number | string[] | (string | number)[] | undefined;
            columnRule?: string | number | string[] | (string | number)[] | undefined;
            columns?: string | number | string[] | (string | number)[] | undefined;
            flex?: string | number | string[] | (string | number)[] | undefined;
            flexFlow?: string | string[] | undefined;
            font?: string | string[] | undefined;
            gap?: string | number | string[] | (string | number)[] | undefined;
            grid?: string | string[] | undefined;
            gridArea?: string | number | string[] | (string | number)[] | undefined;
            gridColumn?: string | number | string[] | (string | number)[] | undefined;
            gridRow?: string | number | string[] | (string | number)[] | undefined;
            gridTemplate?: string | string[] | undefined;
            lineClamp?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            listStyle?: string | string[] | undefined;
            margin?: string | number | string[] | (string | number)[] | undefined;
            mask?: string | number | string[] | (string | number)[] | undefined;
            maskBorder?: string | number | string[] | (string | number)[] | undefined;
            motion?: string | number | string[] | (string | number)[] | undefined;
            offset?: string | number | string[] | (string | number)[] | undefined;
            outline?: string | number | string[] | (string | number)[] | undefined;
            placeItems?: string | string[] | undefined;
            placeSelf?: string | string[] | undefined;
            textDecoration?: string | string[] | undefined;
            textEmphasis?: string | string[] | undefined;
            transition?: string | string[] | undefined;
            MozAnimationDelay?: string | string[] | undefined;
            MozAnimationDirection?: string | string[] | undefined;
            MozAnimationDuration?: string | string[] | undefined;
            MozAnimationFillMode?: string | string[] | undefined;
            MozAnimationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            MozAnimationName?: string | string[] | undefined;
            MozAnimationPlayState?: string | string[] | undefined;
            MozAnimationTimingFunction?: string | string[] | undefined;
            MozAppearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "-moz-mac-unified-toolbar" | "-moz-win-borderless-glass" | "-moz-win-browsertabbar-toolbox" | "-moz-win-communications-toolbox" | "-moz-win-communicationstext" | "-moz-win-exclude-glass" | "-moz-win-glass" | "-moz-win-media-toolbox" | "-moz-win-mediatext" | "-moz-window-button-box" | "-moz-window-button-box-maximized" | "-moz-window-button-close" | "-moz-window-button-maximize" | "-moz-window-button-minimize" | "-moz-window-button-restore" | "-moz-window-frame-bottom" | "-moz-window-frame-left" | "-moz-window-frame-right" | "-moz-window-titlebar" | "-moz-window-titlebar-maximized" | "button" | "button-arrow-down" | "button-arrow-next" | "button-arrow-previous" | "button-arrow-up" | "button-bevel" | "button-focus" | "caret" | "checkbox" | "checkbox-container" | "checkbox-label" | "checkmenuitem" | "dualbutton" | "groupbox" | "listbox" | "listitem" | "menuarrow" | "menubar" | "menucheckbox" | "menuimage" | "menuitem" | "menuitemtext" | "menulist" | "menulist-button" | "menulist-text" | "menulist-textfield" | "menupopup" | "menuradio" | "menuseparator" | "meterbar" | "meterchunk" | "progressbar" | "progressbar-vertical" | "progresschunk" | "progresschunk-vertical" | "radio" | "radio-container" | "radio-label" | "radiomenuitem" | "range" | "range-thumb" | "resizer" | "resizerpanel" | "scale-horizontal" | "scale-vertical" | "scalethumb-horizontal" | "scalethumb-vertical" | "scalethumbend" | "scalethumbstart" | "scalethumbtick" | "scrollbarbutton-down" | "scrollbarbutton-left" | "scrollbarbutton-right" | "scrollbarbutton-up" | "scrollbarthumb-horizontal" | "scrollbarthumb-vertical" | "scrollbartrack-horizontal" | "scrollbartrack-vertical" | "searchfield" | "separator" | "sheet" | "spinner" | "spinner-downbutton" | "spinner-textfield" | "spinner-upbutton" | "splitter" | "statusbar" | "statusbarpanel" | "tab" | "tab-scroll-arrow-back" | "tab-scroll-arrow-forward" | "tabpanel" | "tabpanels" | "textfield" | "textfield-multiline" | "toolbar" | "toolbarbutton" | "toolbarbutton-dropdown" | "toolbargripper" | "toolbox" | "tooltip" | "treeheader" | "treeheadercell" | "treeheadersortarrow" | "treeitem" | "treeline" | "treetwisty" | "treetwistyopen" | "treeview" | import("csstype").MozAppearanceProperty[] | undefined;
            MozBackfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | import("csstype").BackfaceVisibilityProperty[] | undefined;
            MozBorderBottomColors?: string | string[] | undefined;
            MozBorderEndColor?: string | string[] | undefined;
            MozBorderEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            MozBorderEndWidth?: string | number | string[] | (string | number)[] | undefined;
            MozBorderLeftColors?: string | string[] | undefined;
            MozBorderRightColors?: string | string[] | undefined;
            MozBorderStartColor?: string | string[] | undefined;
            MozBorderStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            MozBorderTopColors?: string | string[] | undefined;
            MozBoxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | import("csstype").BoxSizingProperty[] | undefined;
            MozColumnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            MozColumnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | import("csstype").ColumnFillProperty[] | undefined;
            MozColumnGap?: string | number | string[] | (string | number)[] | undefined;
            MozColumnRuleColor?: string | string[] | undefined;
            MozColumnRuleStyle?: string | string[] | undefined;
            MozColumnRuleWidth?: string | number | string[] | (string | number)[] | undefined;
            MozColumnWidth?: string | number | string[] | (string | number)[] | undefined;
            MozContextProperties?: string | string[] | undefined;
            MozFloatEdge?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | "padding-box" | "margin-box" | import("csstype").MozFloatEdgeProperty[] | undefined;
            MozFontFeatureSettings?: string | string[] | undefined;
            MozFontLanguageOverride?: string | string[] | undefined;
            MozForceBrokenImageIcon?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            MozImageRegion?: string | string[] | undefined;
            MozMarginEnd?: string | number | string[] | (string | number)[] | undefined;
            MozMarginStart?: string | number | string[] | (string | number)[] | undefined;
            MozOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "block" | "inline" | "horizontal" | "vertical" | import("csstype").MozOrientProperty[] | undefined;
            MozOutlineRadiusBottomleft?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineRadiusBottomright?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineRadiusTopleft?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineRadiusTopright?: string | number | string[] | (string | number)[] | undefined;
            MozPaddingEnd?: string | number | string[] | (string | number)[] | undefined;
            MozPaddingStart?: string | number | string[] | (string | number)[] | undefined;
            MozPerspective?: string | number | string[] | (string | number)[] | undefined;
            MozPerspectiveOrigin?: string | number | string[] | (string | number)[] | undefined;
            MozStackSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "ignore" | "stretch-to-fit" | import("csstype").MozStackSizingProperty[] | undefined;
            MozTabSize?: string | number | string[] | (string | number)[] | undefined;
            MozTextSizeAdjust?: string | string[] | undefined;
            MozTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            MozTransformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | import("csstype").TransformStyleProperty[] | undefined;
            MozTransitionDelay?: string | string[] | undefined;
            MozTransitionDuration?: string | string[] | undefined;
            MozTransitionProperty?: string | string[] | undefined;
            MozTransitionTimingFunction?: string | string[] | undefined;
            MozUserFocus?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "none" | "ignore" | "select-after" | "select-all" | "select-before" | "select-menu" | "select-same" | import("csstype").MozUserFocusProperty[] | undefined;
            MozUserModify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "read-only" | "read-write" | "write-only" | import("csstype").MozUserModifyProperty[] | undefined;
            MozUserSelect?: "text" | "contain" | "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-moz-none" | "element" | import("csstype").UserSelectProperty[] | undefined;
            MozWindowDragging?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "drag" | "no-drag" | import("csstype").MozWindowDraggingProperty[] | undefined;
            MozWindowShadow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "default" | "menu" | "sheet" | "tooltip" | import("csstype").MozWindowShadowProperty[] | undefined;
            msAccelerator?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "false" | "true" | import("csstype").MsAcceleratorProperty[] | undefined;
            msAlignSelf?: string | string[] | undefined;
            msBlockProgression?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "bt" | "lr" | "rl" | "tb" | import("csstype").MsBlockProgressionProperty[] | undefined;
            msContentZoomChaining?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "chained" | import("csstype").MsContentZoomChainingProperty[] | undefined;
            msContentZoomLimitMax?: string | string[] | undefined;
            msContentZoomLimitMin?: string | string[] | undefined;
            msContentZoomSnapPoints?: string | string[] | undefined;
            msContentZoomSnapType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            msContentZooming?: "zoom" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").MsContentZoomingProperty[] | undefined;
            msFilter?: string | string[] | undefined;
            msFlexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | import("csstype").FlexDirectionProperty[] | undefined;
            msFlexPositive?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            msFlowFrom?: string | string[] | undefined;
            msFlowInto?: string | string[] | undefined;
            msGridColumns?: string | number | string[] | (string | number)[] | undefined;
            msGridRows?: string | number | string[] | (string | number)[] | undefined;
            msHighContrastAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            msHyphenateLimitChars?: string | number | string[] | (string | number)[] | undefined;
            msHyphenateLimitLines?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-limit" | import("csstype").MsHyphenateLimitLinesProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-limit")[] | undefined;
            msHyphenateLimitZone?: string | number | string[] | (string | number)[] | undefined;
            msHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            msImeAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "after" | import("csstype").MsImeAlignProperty[] | undefined;
            msLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | import("csstype").LineBreakProperty[] | undefined;
            msOrder?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            msOverflowStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-ms-autohiding-scrollbar" | "scrollbar" | import("csstype").MsOverflowStyleProperty[] | undefined;
            msOverflowX?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            msOverflowY?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            msScrollChaining?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "chained" | import("csstype").MsContentZoomChainingProperty[] | undefined;
            msScrollLimitXMax?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimitXMin?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimitYMax?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimitYMin?: string | number | string[] | (string | number)[] | undefined;
            msScrollRails?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "railed" | import("csstype").MsScrollRailsProperty[] | undefined;
            msScrollSnapPointsX?: string | string[] | undefined;
            msScrollSnapPointsY?: string | string[] | undefined;
            msScrollSnapType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            msScrollTranslation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "vertical-to-horizontal" | import("csstype").MsScrollTranslationProperty[] | undefined;
            msTextAutospace?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "ideograph-alpha" | "ideograph-numeric" | "ideograph-parenthesis" | "ideograph-space" | import("csstype").MsTextAutospaceProperty[] | undefined;
            msTextCombineHorizontal?: string | string[] | undefined;
            msTextOverflow?: string | string[] | undefined;
            msTextSizeAdjust?: string | string[] | undefined;
            msTouchAction?: string | string[] | undefined;
            msTouchSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "grippers" | import("csstype").MsTouchSelectProperty[] | undefined;
            msTransform?: string | string[] | undefined;
            msTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            msUserSelect?: "text" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "element" | import("csstype").MsUserSelectProperty[] | undefined;
            msWordBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | "break-all" | "keep-all" | import("csstype").WordBreakProperty[] | undefined;
            msWrapFlow?: "clear" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "end" | "start" | "auto" | "both" | "maximum" | import("csstype").MsWrapFlowProperty[] | undefined;
            msWrapMargin?: string | number | string[] | (string | number)[] | undefined;
            msWrapThrough?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "wrap" | import("csstype").MsWrapThroughProperty[] | undefined;
            msWritingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | import("csstype").WritingModeProperty[] | undefined;
            OObjectFit?: "contain" | "fill" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "cover" | "scale-down" | import("csstype").ObjectFitProperty[] | undefined;
            OObjectPosition?: string | number | string[] | (string | number)[] | undefined;
            OTabSize?: string | number | string[] | (string | number)[] | undefined;
            OTextOverflow?: string | string[] | undefined;
            OTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            WebkitAlignContent?: string | string[] | undefined;
            WebkitAlignItems?: string | string[] | undefined;
            WebkitAlignSelf?: string | string[] | undefined;
            WebkitAnimationDelay?: string | string[] | undefined;
            WebkitAnimationDirection?: string | string[] | undefined;
            WebkitAnimationDuration?: string | string[] | undefined;
            WebkitAnimationFillMode?: string | string[] | undefined;
            WebkitAnimationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            WebkitAnimationName?: string | string[] | undefined;
            WebkitAnimationPlayState?: string | string[] | undefined;
            WebkitAnimationTimingFunction?: string | string[] | undefined;
            WebkitAppearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "button" | "button-bevel" | "caret" | "checkbox" | "listbox" | "listitem" | "menulist" | "menulist-button" | "menulist-text" | "menulist-textfield" | "radio" | "searchfield" | "textfield" | "default-button" | "inner-spin-button" | "media-controls-background" | "media-controls-fullscreen-background" | "media-current-time-display" | "media-enter-fullscreen-button" | "media-exit-fullscreen-button" | "media-fullscreen-button" | "media-mute-button" | "media-overlay-play-button" | "media-play-button" | "media-seek-back-button" | "media-seek-forward-button" | "media-slider" | "media-sliderthumb" | "media-time-remaining-display" | "media-toggle-closed-captions-button" | "media-volume-slider" | "media-volume-slider-container" | "media-volume-sliderthumb" | "meter" | "progress-bar" | "progress-bar-value" | "push-button" | "searchfield-cancel-button" | "searchfield-decoration" | "searchfield-results-button" | "searchfield-results-decoration" | "slider-horizontal" | "slider-vertical" | "sliderthumb-horizontal" | "sliderthumb-vertical" | "square-button" | "textarea" | import("csstype").WebkitAppearanceProperty[] | undefined;
            WebkitBackdropFilter?: string | string[] | undefined;
            WebkitBackfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | import("csstype").BackfaceVisibilityProperty[] | undefined;
            WebkitBackgroundClip?: string | string[] | undefined;
            WebkitBackgroundOrigin?: string | string[] | undefined;
            WebkitBackgroundSize?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBeforeColor?: string | string[] | undefined;
            WebkitBorderBeforeStyle?: string | string[] | undefined;
            WebkitBorderBeforeWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBottomLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBottomRightRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderImageSlice?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderTopLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderTopRightRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBoxDecorationBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | import("csstype").BoxDecorationBreakProperty[] | undefined;
            WebkitBoxReflect?: string | number | string[] | (string | number)[] | undefined;
            WebkitBoxShadow?: string | string[] | undefined;
            WebkitBoxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | import("csstype").BoxSizingProperty[] | undefined;
            WebkitClipPath?: string | string[] | undefined;
            WebkitColorAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "economy" | "exact" | import("csstype").ColorAdjustProperty[] | undefined;
            WebkitColumnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            WebkitColumnGap?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumnRuleColor?: string | string[] | undefined;
            WebkitColumnRuleStyle?: string | string[] | undefined;
            WebkitColumnRuleWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumnSpan?: "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").ColumnSpanProperty[] | undefined;
            WebkitColumnWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitFilter?: string | string[] | undefined;
            WebkitFlexBasis?: string | number | string[] | (string | number)[] | undefined;
            WebkitFlexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | import("csstype").FlexDirectionProperty[] | undefined;
            WebkitFlexGrow?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitFlexShrink?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitFlexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | import("csstype").FlexWrapProperty[] | undefined;
            WebkitFontFeatureSettings?: string | string[] | undefined;
            WebkitFontKerning?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "none" | import("csstype").FontKerningProperty[] | undefined;
            WebkitFontVariantLigatures?: string | string[] | undefined;
            WebkitHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            WebkitJustifyContent?: string | string[] | undefined;
            WebkitLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | import("csstype").LineBreakProperty[] | undefined;
            WebkitMarginEnd?: string | number | string[] | (string | number)[] | undefined;
            WebkitMarginStart?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskAttachment?: string | string[] | undefined;
            WebkitMaskClip?: string | string[] | undefined;
            WebkitMaskComposite?: string | string[] | undefined;
            WebkitMaskImage?: string | string[] | undefined;
            WebkitMaskOrigin?: string | string[] | undefined;
            WebkitMaskPosition?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskPositionX?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskPositionY?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskRepeat?: string | string[] | undefined;
            WebkitMaskRepeatX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-repeat" | "repeat" | "round" | "space" | import("csstype").WebkitMaskRepeatXProperty[] | undefined;
            WebkitMaskRepeatY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-repeat" | "repeat" | "round" | "space" | import("csstype").WebkitMaskRepeatXProperty[] | undefined;
            WebkitMaskSize?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaxInlineSize?: string | number | string[] | (string | number)[] | undefined;
            WebkitOrder?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitOverflowScrolling?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "touch" | import("csstype").WebkitOverflowScrollingProperty[] | undefined;
            WebkitPaddingEnd?: string | number | string[] | (string | number)[] | undefined;
            WebkitPaddingStart?: string | number | string[] | (string | number)[] | undefined;
            WebkitPerspective?: string | number | string[] | (string | number)[] | undefined;
            WebkitPerspectiveOrigin?: string | number | string[] | (string | number)[] | undefined;
            WebkitScrollSnapType?: string | string[] | undefined;
            WebkitShapeMargin?: string | number | string[] | (string | number)[] | undefined;
            WebkitTapHighlightColor?: string | string[] | undefined;
            WebkitTextCombine?: string | string[] | undefined;
            WebkitTextDecorationColor?: string | string[] | undefined;
            WebkitTextDecorationLine?: string | string[] | undefined;
            WebkitTextDecorationSkip?: string | string[] | undefined;
            WebkitTextDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | import("csstype").TextDecorationStyleProperty[] | undefined;
            WebkitTextEmphasisColor?: string | string[] | undefined;
            WebkitTextEmphasisPosition?: string | string[] | undefined;
            WebkitTextEmphasisStyle?: string | string[] | undefined;
            WebkitTextFillColor?: string | string[] | undefined;
            WebkitTextOrientation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "mixed" | "sideways" | "upright" | import("csstype").TextOrientationProperty[] | undefined;
            WebkitTextSizeAdjust?: string | string[] | undefined;
            WebkitTextStrokeColor?: string | string[] | undefined;
            WebkitTextStrokeWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitTouchCallout?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "default" | import("csstype").WebkitTouchCalloutProperty[] | undefined;
            WebkitTransform?: string | string[] | undefined;
            WebkitTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            WebkitTransformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | import("csstype").TransformStyleProperty[] | undefined;
            WebkitTransitionDelay?: string | string[] | undefined;
            WebkitTransitionDuration?: string | string[] | undefined;
            WebkitTransitionProperty?: string | string[] | undefined;
            WebkitTransitionTimingFunction?: string | string[] | undefined;
            WebkitUserModify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "read-only" | "read-write" | "read-write-plaintext-only" | import("csstype").WebkitUserModifyProperty[] | undefined;
            WebkitUserSelect?: "text" | "contain" | "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-moz-none" | "element" | import("csstype").UserSelectProperty[] | undefined;
            WebkitWritingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | import("csstype").WritingModeProperty[] | undefined;
            MozAnimation?: string | number | string[] | (string | number)[] | undefined;
            MozBorderImage?: string | number | string[] | (string | number)[] | undefined;
            MozColumnRule?: string | number | string[] | (string | number)[] | undefined;
            MozColumns?: string | number | string[] | (string | number)[] | undefined;
            MozTransition?: string | string[] | undefined;
            msContentZoomLimit?: string | string[] | undefined;
            msContentZoomSnap?: string | string[] | undefined;
            msFlex?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimit?: string | string[] | undefined;
            msScrollSnapX?: string | string[] | undefined;
            msScrollSnapY?: string | string[] | undefined;
            OBorderImage?: string | number | string[] | (string | number)[] | undefined;
            WebkitAnimation?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBefore?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderImage?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumnRule?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumns?: string | number | string[] | (string | number)[] | undefined;
            WebkitFlex?: string | number | string[] | (string | number)[] | undefined;
            WebkitFlexFlow?: string | string[] | undefined;
            WebkitLineClamp?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            WebkitMask?: string | number | string[] | (string | number)[] | undefined;
            WebkitTextEmphasis?: string | string[] | undefined;
            WebkitTextStroke?: string | number | string[] | (string | number)[] | undefined;
            WebkitTransition?: string | string[] | undefined;
            boxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            boxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            boxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            boxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            boxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | import("csstype").BoxLinesProperty[] | undefined;
            boxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            boxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            boxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            clip?: string | string[] | undefined;
            fontVariantAlternates?: string | string[] | undefined;
            gridColumnGap?: string | number | string[] | (string | number)[] | undefined;
            gridGap?: string | number | string[] | (string | number)[] | undefined;
            gridRowGap?: string | number | string[] | (string | number)[] | undefined;
            imeMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "active" | "disabled" | "inactive" | import("csstype").ImeModeProperty[] | undefined;
            offsetBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            offsetBlockStart?: string | number | string[] | (string | number)[] | undefined;
            offsetInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            offsetInlineStart?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapCoordinate?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapDestination?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapPointsX?: string | string[] | undefined;
            scrollSnapPointsY?: string | string[] | undefined;
            scrollSnapTypeX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            scrollSnapTypeY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            textCombineHorizontal?: string | string[] | undefined;
            KhtmlBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            KhtmlBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            KhtmlBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            KhtmlBoxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            KhtmlBoxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | import("csstype").BoxLinesProperty[] | undefined;
            KhtmlBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            KhtmlBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            KhtmlBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            MozBackgroundClip?: string | string[] | undefined;
            MozBackgroundInlinePolicy?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | import("csstype").BoxDecorationBreakProperty[] | undefined;
            MozBackgroundOrigin?: string | string[] | undefined;
            MozBackgroundSize?: string | number | string[] | (string | number)[] | undefined;
            MozBinding?: string | string[] | undefined;
            MozBorderRadius?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusBottomleft?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusBottomright?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusTopleft?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusTopright?: string | number | string[] | (string | number)[] | undefined;
            MozBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            MozBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            MozBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            MozBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            MozBoxShadow?: string | string[] | undefined;
            MozOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozOutline?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineColor?: string | string[] | undefined;
            MozOutlineRadius?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineStyle?: string | string[] | undefined;
            MozOutlineWidth?: string | number | string[] | (string | number)[] | undefined;
            MozResize?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "block" | "inline" | "horizontal" | "vertical" | import("csstype").ResizeProperty[] | undefined;
            MozTextAlignLast?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "auto" | "justify" | import("csstype").TextAlignLastProperty[] | undefined;
            MozTextBlink?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "blink" | import("csstype").MozTextBlinkProperty[] | undefined;
            MozTextDecorationColor?: string | string[] | undefined;
            MozTextDecorationLine?: string | string[] | undefined;
            MozTextDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | import("csstype").TextDecorationStyleProperty[] | undefined;
            MozUserInput?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "disabled" | "enabled" | import("csstype").MozUserInputProperty[] | undefined;
            msImeMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "active" | "disabled" | "inactive" | import("csstype").ImeModeProperty[] | undefined;
            msScrollbar3dlightColor?: string | string[] | undefined;
            msScrollbarArrowColor?: string | string[] | undefined;
            msScrollbarBaseColor?: string | string[] | undefined;
            msScrollbarDarkshadowColor?: string | string[] | undefined;
            msScrollbarFaceColor?: string | string[] | undefined;
            msScrollbarHighlightColor?: string | string[] | undefined;
            msScrollbarShadowColor?: string | string[] | undefined;
            msScrollbarTrackColor?: string | string[] | undefined;
            OAnimation?: string | number | string[] | (string | number)[] | undefined;
            OAnimationDelay?: string | string[] | undefined;
            OAnimationDirection?: string | string[] | undefined;
            OAnimationDuration?: string | string[] | undefined;
            OAnimationFillMode?: string | string[] | undefined;
            OAnimationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            OAnimationName?: string | string[] | undefined;
            OAnimationPlayState?: string | string[] | undefined;
            OAnimationTimingFunction?: string | string[] | undefined;
            OBackgroundSize?: string | number | string[] | (string | number)[] | undefined;
            OTransform?: string | string[] | undefined;
            OTransition?: string | string[] | undefined;
            OTransitionDelay?: string | string[] | undefined;
            OTransitionDuration?: string | string[] | undefined;
            OTransitionProperty?: string | string[] | undefined;
            OTransitionTimingFunction?: string | string[] | undefined;
            WebkitBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            WebkitBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            WebkitBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitBoxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitBoxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | import("csstype").BoxLinesProperty[] | undefined;
            WebkitBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            WebkitBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            WebkitScrollSnapPointsX?: string | string[] | undefined;
            WebkitScrollSnapPointsY?: string | string[] | undefined;
            alignmentBaseline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "baseline" | "auto" | "middle" | "after-edge" | "alphabetic" | "before-edge" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | import("csstype").AlignmentBaselineProperty[] | undefined;
            baselineShift?: string | number | string[] | (string | number)[] | undefined;
            clipRule?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "evenodd" | "nonzero" | import("csstype").ClipRuleProperty[] | undefined;
            colorInterpolation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "linearRGB" | "sRGB" | import("csstype").ColorInterpolationProperty[] | undefined;
            colorRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "optimizeSpeed" | "optimizeQuality" | import("csstype").ColorRenderingProperty[] | undefined;
            dominantBaseline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "middle" | "alphabetic" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | "no-change" | "reset-size" | "use-script" | import("csstype").DominantBaselineProperty[] | undefined;
            fill?: string | string[] | undefined;
            fillOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            fillRule?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "evenodd" | "nonzero" | import("csstype").ClipRuleProperty[] | undefined;
            floodColor?: string | string[] | undefined;
            floodOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            glyphOrientationVertical?: string | number | string[] | (string | number)[] | undefined;
            lightingColor?: string | string[] | undefined;
            marker?: string | string[] | undefined;
            markerEnd?: string | string[] | undefined;
            markerMid?: string | string[] | undefined;
            markerStart?: string | string[] | undefined;
            shapeRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "geometricPrecision" | "optimizeSpeed" | "crispEdges" | import("csstype").ShapeRenderingProperty[] | undefined;
            stopColor?: string | string[] | undefined;
            stopOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            stroke?: string | string[] | undefined;
            strokeDasharray?: string | number | string[] | (string | number)[] | undefined;
            strokeDashoffset?: string | number | string[] | (string | number)[] | undefined;
            strokeLinecap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "round" | "butt" | "square" | import("csstype").StrokeLinecapProperty[] | undefined;
            strokeLinejoin?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "round" | "bevel" | "miter" | import("csstype").StrokeLinejoinProperty[] | undefined;
            strokeMiterlimit?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            strokeOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            strokeWidth?: string | number | string[] | (string | number)[] | undefined;
            textAnchor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "end" | "start" | "middle" | import("csstype").TextAnchorProperty[] | undefined;
            vectorEffect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "non-scaling-stroke" | import("csstype").VectorEffectProperty[] | undefined;
            ":-moz-any()"?: CSSObject | undefined;
            ":-moz-dir"?: CSSObject | undefined;
            ":-webkit-any()"?: CSSObject | undefined;
            "::cue"?: CSSObject | undefined;
            "::slotted"?: CSSObject | undefined;
            ":dir"?: CSSObject | undefined;
            ":has"?: CSSObject | undefined;
            ":host"?: CSSObject | undefined;
            ":host-context"?: CSSObject | undefined;
            ":is"?: CSSObject | undefined;
            ":lang"?: CSSObject | undefined;
            ":matches()"?: CSSObject | undefined;
            ":not"?: CSSObject | undefined;
            ":nth-child"?: CSSObject | undefined;
            ":nth-last-child"?: CSSObject | undefined;
            ":nth-last-of-type"?: CSSObject | undefined;
            ":nth-of-type"?: CSSObject | undefined;
            ":where"?: CSSObject | undefined;
            ":-moz-any-link"?: CSSObject | undefined;
            ":-moz-full-screen"?: CSSObject | undefined;
            ":-moz-placeholder"?: CSSObject | undefined;
            ":-moz-read-only"?: CSSObject | undefined;
            ":-moz-read-write"?: CSSObject | undefined;
            ":-ms-fullscreen"?: CSSObject | undefined;
            ":-ms-input-placeholder"?: CSSObject | undefined;
            ":-webkit-any-link"?: CSSObject | undefined;
            ":-webkit-full-screen"?: CSSObject | undefined;
            "::-moz-placeholder"?: CSSObject | undefined;
            "::-moz-progress-bar"?: CSSObject | undefined;
            "::-moz-range-progress"?: CSSObject | undefined;
            "::-moz-range-thumb"?: CSSObject | undefined;
            "::-moz-range-track"?: CSSObject | undefined;
            "::-moz-selection"?: CSSObject | undefined;
            "::-ms-backdrop"?: CSSObject | undefined;
            "::-ms-browse"?: CSSObject | undefined;
            "::-ms-check"?: CSSObject | undefined;
            "::-ms-clear"?: CSSObject | undefined;
            "::-ms-fill"?: CSSObject | undefined;
            "::-ms-fill-lower"?: CSSObject | undefined;
            "::-ms-fill-upper"?: CSSObject | undefined;
            "::-ms-reveal"?: CSSObject | undefined;
            "::-ms-thumb"?: CSSObject | undefined;
            "::-ms-ticks-after"?: CSSObject | undefined;
            "::-ms-ticks-before"?: CSSObject | undefined;
            "::-ms-tooltip"?: CSSObject | undefined;
            "::-ms-track"?: CSSObject | undefined;
            "::-ms-value"?: CSSObject | undefined;
            "::-webkit-backdrop"?: CSSObject | undefined;
            "::-webkit-input-placeholder"?: CSSObject | undefined;
            "::-webkit-progress-bar"?: CSSObject | undefined;
            "::-webkit-progress-inner-value"?: CSSObject | undefined;
            "::-webkit-progress-value"?: CSSObject | undefined;
            "::-webkit-slider-runnable-track"?: CSSObject | undefined;
            "::-webkit-slider-thumb"?: CSSObject | undefined;
            "::after"?: CSSObject | undefined;
            "::backdrop"?: CSSObject | undefined;
            "::before"?: CSSObject | undefined;
            "::first-letter"?: CSSObject | undefined;
            "::first-line"?: CSSObject | undefined;
            "::grammar-error"?: CSSObject | undefined;
            "::placeholder"?: CSSObject | undefined;
            "::selection"?: CSSObject | undefined;
            "::spelling-error"?: CSSObject | undefined;
            ":active"?: CSSObject | undefined;
            ":after"?: CSSObject | undefined;
            ":any-link"?: CSSObject | undefined;
            ":before"?: CSSObject | undefined;
            ":blank"?: CSSObject | undefined;
            ":checked"?: CSSObject | undefined;
            ":default"?: CSSObject | undefined;
            ":defined"?: CSSObject | undefined;
            ":disabled"?: CSSObject | undefined;
            ":empty"?: CSSObject | undefined;
            ":enabled"?: CSSObject | undefined;
            ":first"?: CSSObject | undefined;
            ":first-child"?: CSSObject | undefined;
            ":first-letter"?: CSSObject | undefined;
            ":first-line"?: CSSObject | undefined;
            ":first-of-type"?: CSSObject | undefined;
            ":focus"?: CSSObject | undefined;
            ":focus-visible"?: CSSObject | undefined;
            ":focus-within"?: CSSObject | undefined;
            ":fullscreen"?: CSSObject | undefined;
            ":hover"?: CSSObject | undefined;
            ":in-range"?: CSSObject | undefined;
            ":indeterminate"?: CSSObject | undefined;
            ":invalid"?: CSSObject | undefined;
            ":last-child"?: CSSObject | undefined;
            ":last-of-type"?: CSSObject | undefined;
            ":left"?: CSSObject | undefined;
            ":link"?: CSSObject | undefined;
            ":only-child"?: CSSObject | undefined;
            ":only-of-type"?: CSSObject | undefined;
            ":optional"?: CSSObject | undefined;
            ":out-of-range"?: CSSObject | undefined;
            ":placeholder-shown"?: CSSObject | undefined;
            ":read-only"?: CSSObject | undefined;
            ":read-write"?: CSSObject | undefined;
            ":required"?: CSSObject | undefined;
            ":right"?: CSSObject | undefined;
            ":root"?: CSSObject | undefined;
            ":scope"?: CSSObject | undefined;
            ":target"?: CSSObject | undefined;
            ":valid"?: CSSObject | undefined;
            ":visited"?: CSSObject | undefined;
        };
    };
    codeLayoutContainer: (highlightedStartText: string, highlightedEndText: string, hasLineNumbers?: boolean | undefined) => {
        "--line-number-bg-color": string | undefined;
        '& .linenumber': {
            display: string;
            alignContent?: string | string[] | undefined;
            alignItems?: string | string[] | undefined;
            alignSelf?: string | string[] | undefined;
            animationDelay?: string | string[] | undefined;
            animationDirection?: string | string[] | undefined;
            animationDuration?: string | string[] | undefined;
            animationFillMode?: string | string[] | undefined;
            animationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            animationName?: string | string[] | undefined;
            animationPlayState?: string | string[] | undefined;
            animationTimingFunction?: string | string[] | undefined;
            appearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | undefined;
            backdropFilter?: string | string[] | undefined;
            backfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | import("csstype").BackfaceVisibilityProperty[] | undefined;
            backgroundAttachment?: string | string[] | undefined;
            backgroundBlendMode?: string | string[] | undefined;
            backgroundClip?: string | string[] | undefined;
            backgroundColor?: string | string[] | undefined;
            backgroundImage?: string | string[] | undefined;
            backgroundOrigin?: string | string[] | undefined;
            backgroundPosition?: string | number | string[] | (string | number)[] | undefined;
            backgroundPositionX?: string | number | string[] | (string | number)[] | undefined;
            backgroundPositionY?: string | number | string[] | (string | number)[] | undefined;
            backgroundRepeat?: string | string[] | undefined;
            backgroundSize?: string | number | string[] | (string | number)[] | undefined;
            blockOverflow?: string | string[] | undefined;
            blockSize?: string | number | string[] | (string | number)[] | undefined;
            borderBlockColor?: string | string[] | undefined;
            borderBlockEndColor?: string | string[] | undefined;
            borderBlockEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBlockEndWidth?: string | number | string[] | (string | number)[] | undefined;
            borderBlockStartColor?: string | string[] | undefined;
            borderBlockStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBlockStartWidth?: string | number | string[] | (string | number)[] | undefined;
            borderBlockStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBlockWidth?: string | number | string[] | (string | number)[] | undefined;
            borderBottomColor?: string | string[] | undefined;
            borderBottomLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            borderBottomRightRadius?: string | number | string[] | (string | number)[] | undefined;
            borderBottomStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderBottomWidth?: string | number | string[] | (string | number)[] | undefined;
            borderCollapse?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "collapse" | "separate" | import("csstype").BorderCollapseProperty[] | undefined;
            borderEndEndRadius?: string | number | string[] | (string | number)[] | undefined;
            borderEndStartRadius?: string | number | string[] | (string | number)[] | undefined;
            borderImageOutset?: string | number | string[] | (string | number)[] | undefined;
            borderImageRepeat?: string | string[] | undefined;
            borderImageSlice?: string | number | string[] | (string | number)[] | undefined;
            borderImageSource?: string | string[] | undefined;
            borderImageWidth?: string | number | string[] | (string | number)[] | undefined;
            borderInlineColor?: string | string[] | undefined;
            borderInlineEndColor?: string | string[] | undefined;
            borderInlineEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderInlineEndWidth?: string | number | string[] | (string | number)[] | undefined;
            borderInlineStartColor?: string | string[] | undefined;
            borderInlineStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderInlineStartWidth?: string | number | string[] | (string | number)[] | undefined;
            borderInlineStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderInlineWidth?: string | number | string[] | (string | number)[] | undefined;
            borderLeftColor?: string | string[] | undefined;
            borderLeftStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderLeftWidth?: string | number | string[] | (string | number)[] | undefined;
            borderRightColor?: string | string[] | undefined;
            borderRightStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderRightWidth?: string | number | string[] | (string | number)[] | undefined;
            borderSpacing?: string | number | string[] | (string | number)[] | undefined;
            borderStartEndRadius?: string | number | string[] | (string | number)[] | undefined;
            borderStartStartRadius?: string | number | string[] | (string | number)[] | undefined;
            borderTopColor?: string | string[] | undefined;
            borderTopLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            borderTopRightRadius?: string | number | string[] | (string | number)[] | undefined;
            borderTopStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            borderTopWidth?: string | number | string[] | (string | number)[] | undefined;
            bottom?: string | number | string[] | (string | number)[] | undefined;
            boxDecorationBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | import("csstype").BoxDecorationBreakProperty[] | undefined;
            boxShadow?: string | string[] | undefined;
            boxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | import("csstype").BoxSizingProperty[] | undefined;
            breakAfter?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | "column" | "page" | "recto" | "region" | "verso" | import("csstype").BreakAfterProperty[] | undefined;
            breakBefore?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | "column" | "page" | "recto" | "region" | "verso" | import("csstype").BreakAfterProperty[] | undefined;
            breakInside?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | import("csstype").BreakInsideProperty[] | undefined;
            captionSide?: "bottom" | "top" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "block-end" | "block-start" | "inline-end" | "inline-start" | import("csstype").CaptionSideProperty[] | undefined;
            caretColor?: string | string[] | undefined;
            clear?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "inline-end" | "inline-start" | import("csstype").ClearProperty[] | undefined;
            clipPath?: string | string[] | undefined;
            color?: string | string[] | undefined;
            colorAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "economy" | "exact" | import("csstype").ColorAdjustProperty[] | undefined;
            columnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            columnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | import("csstype").ColumnFillProperty[] | undefined;
            columnGap?: string | number | string[] | (string | number)[] | undefined;
            columnRuleColor?: string | string[] | undefined;
            columnRuleStyle?: string | string[] | undefined;
            columnRuleWidth?: string | number | string[] | (string | number)[] | undefined;
            columnSpan?: "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").ColumnSpanProperty[] | undefined;
            columnWidth?: string | number | string[] | (string | number)[] | undefined;
            contain?: string | string[] | undefined;
            content?: string | string[] | undefined;
            counterIncrement?: string | string[] | undefined;
            counterReset?: string | string[] | undefined;
            cursor?: string | string[] | undefined;
            direction?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "ltr" | "rtl" | import("csstype").DirectionProperty[] | undefined;
            emptyCells?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hide" | "show" | import("csstype").EmptyCellsProperty[] | undefined;
            filter?: string | string[] | undefined;
            flexBasis?: string | number | string[] | (string | number)[] | undefined;
            flexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | import("csstype").FlexDirectionProperty[] | undefined;
            flexGrow?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            flexShrink?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            flexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | import("csstype").FlexWrapProperty[] | undefined;
            float?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "inline-end" | "inline-start" | import("csstype").FloatProperty[] | undefined;
            fontFamily?: string | string[] | undefined;
            fontFeatureSettings?: string | string[] | undefined;
            fontKerning?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "none" | import("csstype").FontKerningProperty[] | undefined;
            fontLanguageOverride?: string | string[] | undefined;
            fontOpticalSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            fontSize?: string | number | string[] | (string | number)[] | undefined;
            fontSizeAdjust?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            fontStretch?: string | string[] | undefined;
            fontStyle?: string | string[] | undefined;
            fontSynthesis?: string | string[] | undefined;
            fontVariant?: string | string[] | undefined;
            fontVariantCaps?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "all-petite-caps" | "all-small-caps" | "petite-caps" | "small-caps" | "titling-caps" | "unicase" | import("csstype").FontVariantCapsProperty[] | undefined;
            fontVariantEastAsian?: string | string[] | undefined;
            fontVariantLigatures?: string | string[] | undefined;
            fontVariantNumeric?: string | string[] | undefined;
            fontVariantPosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "sub" | "super" | import("csstype").FontVariantPositionProperty[] | undefined;
            fontVariationSettings?: string | string[] | undefined;
            fontWeight?: number | "bolder" | "bold" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "lighter" | import("csstype").FontWeightProperty[] | ("bolder" | "bold" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "lighter")[] | undefined;
            gridAutoColumns?: string | number | string[] | (string | number)[] | undefined;
            gridAutoFlow?: string | string[] | undefined;
            gridAutoRows?: string | number | string[] | (string | number)[] | undefined;
            gridColumnEnd?: string | number | string[] | (string | number)[] | undefined;
            gridColumnStart?: string | number | string[] | (string | number)[] | undefined;
            gridRowEnd?: string | number | string[] | (string | number)[] | undefined;
            gridRowStart?: string | number | string[] | (string | number)[] | undefined;
            gridTemplateAreas?: string | string[] | undefined;
            gridTemplateColumns?: string | number | string[] | (string | number)[] | undefined;
            gridTemplateRows?: string | number | string[] | (string | number)[] | undefined;
            hangingPunctuation?: string | string[] | undefined;
            height?: string | number | string[] | (string | number)[] | undefined;
            hyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            imageOrientation?: string | string[] | undefined;
            imageRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "-moz-crisp-edges" | "-o-crisp-edges" | "-webkit-optimize-contrast" | "crisp-edges" | "pixelated" | import("csstype").ImageRenderingProperty[] | undefined;
            imageResolution?: string | string[] | undefined;
            initialLetter?: string | number | string[] | (string | number)[] | undefined;
            inlineSize?: string | number | string[] | (string | number)[] | undefined;
            insetBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            insetBlockStart?: string | number | string[] | (string | number)[] | undefined;
            insetInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            insetInlineStart?: string | number | string[] | (string | number)[] | undefined;
            isolation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "isolate" | import("csstype").IsolationProperty[] | undefined;
            justifyContent?: string | string[] | undefined;
            justifyItems?: string | string[] | undefined;
            justifySelf?: string | string[] | undefined;
            left?: string | number | string[] | (string | number)[] | undefined;
            letterSpacing?: string | number | string[] | (string | number)[] | undefined;
            lineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | import("csstype").LineBreakProperty[] | undefined;
            lineHeight?: string | number | string[] | (string | number)[] | undefined;
            lineHeightStep?: string | number | string[] | (string | number)[] | undefined;
            listStyleImage?: string | string[] | undefined;
            listStylePosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "inside" | "outside" | import("csstype").ListStylePositionProperty[] | undefined;
            listStyleType?: string | string[] | undefined;
            marginBlock?: string | number | string[] | (string | number)[] | undefined;
            marginBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            marginBlockStart?: string | number | string[] | (string | number)[] | undefined;
            marginBottom?: string | number | string[] | (string | number)[] | undefined;
            marginInline?: string | number | string[] | (string | number)[] | undefined;
            marginInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            marginInlineStart?: string | number | string[] | (string | number)[] | undefined;
            marginLeft?: string | number | string[] | (string | number)[] | undefined;
            marginRight?: string | number | string[] | (string | number)[] | undefined;
            marginTop?: string | number | string[] | (string | number)[] | undefined;
            maskBorderMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "alpha" | "luminance" | import("csstype").MaskBorderModeProperty[] | undefined;
            maskBorderOutset?: string | number | string[] | (string | number)[] | undefined;
            maskBorderRepeat?: string | string[] | undefined;
            maskBorderSlice?: string | number | string[] | (string | number)[] | undefined;
            maskBorderSource?: string | string[] | undefined;
            maskBorderWidth?: string | number | string[] | (string | number)[] | undefined;
            maskClip?: string | string[] | undefined;
            maskComposite?: string | string[] | undefined;
            maskImage?: string | string[] | undefined;
            maskMode?: string | string[] | undefined;
            maskOrigin?: string | string[] | undefined;
            maskPosition?: string | number | string[] | (string | number)[] | undefined;
            maskRepeat?: string | string[] | undefined;
            maskSize?: string | number | string[] | (string | number)[] | undefined;
            maskType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "alpha" | "luminance" | import("csstype").MaskBorderModeProperty[] | undefined;
            maxBlockSize?: string | number | string[] | (string | number)[] | undefined;
            maxHeight?: string | number | string[] | (string | number)[] | undefined;
            maxInlineSize?: string | number | string[] | (string | number)[] | undefined;
            maxLines?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            maxWidth?: string | number | string[] | (string | number)[] | undefined;
            minBlockSize?: string | number | string[] | (string | number)[] | undefined;
            minHeight?: string | number | string[] | (string | number)[] | undefined;
            minInlineSize?: string | number | string[] | (string | number)[] | undefined;
            minWidth?: string | number | string[] | (string | number)[] | undefined;
            mixBlendMode?: "color" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | import("csstype").MixBlendModeProperty[] | undefined;
            motionDistance?: string | number | string[] | (string | number)[] | undefined;
            motionPath?: string | string[] | undefined;
            motionRotation?: string | string[] | undefined;
            objectFit?: "contain" | "fill" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "cover" | "scale-down" | import("csstype").ObjectFitProperty[] | undefined;
            objectPosition?: string | number | string[] | (string | number)[] | undefined;
            offsetAnchor?: string | number | string[] | (string | number)[] | undefined;
            offsetDistance?: string | number | string[] | (string | number)[] | undefined;
            offsetPath?: string | string[] | undefined;
            offsetPosition?: string | number | string[] | (string | number)[] | undefined;
            offsetRotate?: string | string[] | undefined;
            offsetRotation?: string | string[] | undefined;
            opacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            order?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            orphans?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            outlineColor?: string | string[] | undefined;
            outlineOffset?: string | number | string[] | (string | number)[] | undefined;
            outlineStyle?: string | string[] | undefined;
            outlineWidth?: string | number | string[] | (string | number)[] | undefined;
            overflow?: string | string[] | undefined;
            overflowAnchor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            overflowBlock?: string | string[] | undefined;
            overflowClipBox?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "content-box" | "padding-box" | import("csstype").OverflowClipBoxProperty[] | undefined;
            overflowInline?: string | string[] | undefined;
            overflowWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "anywhere" | "break-word" | import("csstype").OverflowWrapProperty[] | undefined;
            overflowX?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            overflowY?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            overscrollBehavior?: string | string[] | undefined;
            overscrollBehaviorX?: "contain" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").OverscrollBehaviorXProperty[] | undefined;
            overscrollBehaviorY?: "contain" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").OverscrollBehaviorXProperty[] | undefined;
            paddingBlock?: string | number | string[] | (string | number)[] | undefined;
            paddingBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            paddingBlockStart?: string | number | string[] | (string | number)[] | undefined;
            paddingBottom?: string | number | string[] | (string | number)[] | undefined;
            paddingInline?: string | number | string[] | (string | number)[] | undefined;
            paddingInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            paddingInlineStart?: string | number | string[] | (string | number)[] | undefined;
            paddingLeft?: string | number | string[] | (string | number)[] | undefined;
            paddingRight?: string | number | string[] | (string | number)[] | undefined;
            paddingTop?: string | number | string[] | (string | number)[] | undefined;
            pageBreakAfter?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "recto" | "verso" | "always" | import("csstype").PageBreakAfterProperty[] | undefined;
            pageBreakBefore?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "recto" | "verso" | "always" | import("csstype").PageBreakAfterProperty[] | undefined;
            pageBreakInside?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | import("csstype").PageBreakInsideProperty[] | undefined;
            paintOrder?: string | string[] | undefined;
            perspective?: string | number | string[] | (string | number)[] | undefined;
            perspectiveOrigin?: string | number | string[] | (string | number)[] | undefined;
            placeContent?: string | string[] | undefined;
            pointerEvents?: "all" | "fill" | "stroke" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "visible" | "painted" | "visibleFill" | "visiblePainted" | "visibleStroke" | import("csstype").PointerEventsProperty[] | undefined;
            position?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "fixed" | "-webkit-sticky" | "absolute" | "relative" | "static" | "sticky" | import("csstype").PositionProperty[] | undefined;
            quotes?: string | string[] | undefined;
            resize?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "block" | "inline" | "horizontal" | "vertical" | import("csstype").ResizeProperty[] | undefined;
            right?: string | number | string[] | (string | number)[] | undefined;
            rotate?: string | string[] | undefined;
            rowGap?: string | number | string[] | (string | number)[] | undefined;
            rubyAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "space-around" | "space-between" | "center" | "start" | import("csstype").RubyAlignProperty[] | undefined;
            rubyMerge?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "collapse" | "separate" | import("csstype").RubyMergeProperty[] | undefined;
            rubyPosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "inter-character" | "over" | "under" | import("csstype").RubyPositionProperty[] | undefined;
            scale?: string | number | string[] | (string | number)[] | undefined;
            scrollBehavior?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "smooth" | import("csstype").ScrollBehaviorProperty[] | undefined;
            scrollMargin?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBlock?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBlockStart?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginBottom?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginInlineStart?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginLeft?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginRight?: string | number | string[] | (string | number)[] | undefined;
            scrollMarginTop?: string | number | string[] | (string | number)[] | undefined;
            scrollPadding?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBlock?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBlockStart?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingBottom?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingInline?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingInlineStart?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingLeft?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingRight?: string | number | string[] | (string | number)[] | undefined;
            scrollPaddingTop?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapAlign?: string | string[] | undefined;
            scrollSnapType?: string | string[] | undefined;
            scrollbarColor?: string | string[] | undefined;
            scrollbarWidth?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "thin" | import("csstype").ScrollbarWidthProperty[] | undefined;
            shapeImageThreshold?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            shapeMargin?: string | number | string[] | (string | number)[] | undefined;
            shapeOutside?: string | string[] | undefined;
            tabSize?: string | number | string[] | (string | number)[] | undefined;
            tableLayout?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "fixed" | import("csstype").TableLayoutProperty[] | undefined;
            textAlign?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | "match-parent" | import("csstype").TextAlignProperty[] | undefined;
            textAlignLast?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "auto" | "justify" | import("csstype").TextAlignLastProperty[] | undefined;
            textCombineUpright?: string | string[] | undefined;
            textDecorationColor?: string | string[] | undefined;
            textDecorationLine?: string | string[] | undefined;
            textDecorationSkip?: string | string[] | undefined;
            textDecorationSkipInk?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            textDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | import("csstype").TextDecorationStyleProperty[] | undefined;
            textEmphasisColor?: string | string[] | undefined;
            textEmphasisPosition?: string | string[] | undefined;
            textEmphasisStyle?: string | string[] | undefined;
            textIndent?: string | number | string[] | (string | number)[] | undefined;
            textJustify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "inter-character" | "inter-word" | import("csstype").TextJustifyProperty[] | undefined;
            textOrientation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "mixed" | "sideways" | "upright" | import("csstype").TextOrientationProperty[] | undefined;
            textOverflow?: string | string[] | undefined;
            textRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "geometricPrecision" | "optimizeLegibility" | "optimizeSpeed" | import("csstype").TextRenderingProperty[] | undefined;
            textShadow?: string | string[] | undefined;
            textSizeAdjust?: string | string[] | undefined;
            textTransform?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "full-width" | "capitalize" | "lowercase" | "uppercase" | import("csstype").TextTransformProperty[] | undefined;
            textUnderlinePosition?: string | string[] | undefined;
            top?: string | number | string[] | (string | number)[] | undefined;
            touchAction?: string | string[] | undefined;
            transform?: string | string[] | undefined;
            transformBox?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "fill-box" | "view-box" | import("csstype").TransformBoxProperty[] | undefined;
            transformOrigin?: string | number | string[] | (string | number)[] | undefined;
            transformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | import("csstype").TransformStyleProperty[] | undefined;
            transitionDelay?: string | string[] | undefined;
            transitionDuration?: string | string[] | undefined;
            transitionProperty?: string | string[] | undefined;
            transitionTimingFunction?: string | string[] | undefined;
            translate?: string | number | string[] | (string | number)[] | undefined;
            unicodeBidi?: "plaintext" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "isolate" | "-moz-isolate" | "-moz-isolate-override" | "-moz-plaintext" | "-webkit-isolate" | "bidi-override" | "embed" | "isolate-override" | import("csstype").UnicodeBidiProperty[] | undefined;
            userSelect?: "text" | "contain" | "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-moz-none" | "element" | import("csstype").UserSelectProperty[] | undefined;
            verticalAlign?: string | number | string[] | (string | number)[] | undefined;
            visibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | "collapse" | import("csstype").VisibilityProperty[] | undefined;
            whiteSpace?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "nowrap" | "-moz-pre-wrap" | "pre" | "pre-line" | "pre-wrap" | import("csstype").WhiteSpaceProperty[] | undefined;
            widows?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            width?: string | number | string[] | (string | number)[] | undefined;
            willChange?: string | string[] | undefined;
            wordBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | "break-all" | "keep-all" | import("csstype").WordBreakProperty[] | undefined;
            wordSpacing?: string | number | string[] | (string | number)[] | undefined;
            wordWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | import("csstype").WordWrapProperty[] | undefined;
            writingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | import("csstype").WritingModeProperty[] | undefined;
            zIndex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            zoom?: string | number | string[] | (string | number)[] | undefined;
            all?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").Globals[] | undefined;
            animation?: string | number | string[] | (string | number)[] | undefined;
            background?: string | number | string[] | (string | number)[] | undefined;
            border?: string | number | string[] | (string | number)[] | undefined;
            borderBlock?: string | number | string[] | (string | number)[] | undefined;
            borderBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            borderBlockStart?: string | number | string[] | (string | number)[] | undefined;
            borderBottom?: string | number | string[] | (string | number)[] | undefined;
            borderColor?: string | string[] | undefined;
            borderImage?: string | number | string[] | (string | number)[] | undefined;
            borderInline?: string | number | string[] | (string | number)[] | undefined;
            borderInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            borderInlineStart?: string | number | string[] | (string | number)[] | undefined;
            borderLeft?: string | number | string[] | (string | number)[] | undefined;
            borderRadius?: string | number | string[] | (string | number)[] | undefined;
            borderRight?: string | number | string[] | (string | number)[] | undefined;
            borderStyle?: string | string[] | undefined;
            borderTop?: string | number | string[] | (string | number)[] | undefined;
            borderWidth?: string | number | string[] | (string | number)[] | undefined;
            columnRule?: string | number | string[] | (string | number)[] | undefined;
            columns?: string | number | string[] | (string | number)[] | undefined;
            flex?: string | number | string[] | (string | number)[] | undefined;
            flexFlow?: string | string[] | undefined;
            font?: string | string[] | undefined;
            gap?: string | number | string[] | (string | number)[] | undefined;
            grid?: string | string[] | undefined;
            gridArea?: string | number | string[] | (string | number)[] | undefined;
            gridColumn?: string | number | string[] | (string | number)[] | undefined;
            gridRow?: string | number | string[] | (string | number)[] | undefined;
            gridTemplate?: string | string[] | undefined;
            lineClamp?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            listStyle?: string | string[] | undefined;
            margin?: string | number | string[] | (string | number)[] | undefined;
            mask?: string | number | string[] | (string | number)[] | undefined;
            maskBorder?: string | number | string[] | (string | number)[] | undefined;
            motion?: string | number | string[] | (string | number)[] | undefined;
            offset?: string | number | string[] | (string | number)[] | undefined;
            outline?: string | number | string[] | (string | number)[] | undefined;
            padding?: string | number | string[] | (string | number)[] | undefined;
            placeItems?: string | string[] | undefined;
            placeSelf?: string | string[] | undefined;
            textDecoration?: string | string[] | undefined;
            textEmphasis?: string | string[] | undefined;
            transition?: string | string[] | undefined;
            MozAnimationDelay?: string | string[] | undefined;
            MozAnimationDirection?: string | string[] | undefined;
            MozAnimationDuration?: string | string[] | undefined;
            MozAnimationFillMode?: string | string[] | undefined;
            MozAnimationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            MozAnimationName?: string | string[] | undefined;
            MozAnimationPlayState?: string | string[] | undefined;
            MozAnimationTimingFunction?: string | string[] | undefined;
            MozAppearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "-moz-mac-unified-toolbar" | "-moz-win-borderless-glass" | "-moz-win-browsertabbar-toolbox" | "-moz-win-communications-toolbox" | "-moz-win-communicationstext" | "-moz-win-exclude-glass" | "-moz-win-glass" | "-moz-win-media-toolbox" | "-moz-win-mediatext" | "-moz-window-button-box" | "-moz-window-button-box-maximized" | "-moz-window-button-close" | "-moz-window-button-maximize" | "-moz-window-button-minimize" | "-moz-window-button-restore" | "-moz-window-frame-bottom" | "-moz-window-frame-left" | "-moz-window-frame-right" | "-moz-window-titlebar" | "-moz-window-titlebar-maximized" | "button" | "button-arrow-down" | "button-arrow-next" | "button-arrow-previous" | "button-arrow-up" | "button-bevel" | "button-focus" | "caret" | "checkbox" | "checkbox-container" | "checkbox-label" | "checkmenuitem" | "dualbutton" | "groupbox" | "listbox" | "listitem" | "menuarrow" | "menubar" | "menucheckbox" | "menuimage" | "menuitem" | "menuitemtext" | "menulist" | "menulist-button" | "menulist-text" | "menulist-textfield" | "menupopup" | "menuradio" | "menuseparator" | "meterbar" | "meterchunk" | "progressbar" | "progressbar-vertical" | "progresschunk" | "progresschunk-vertical" | "radio" | "radio-container" | "radio-label" | "radiomenuitem" | "range" | "range-thumb" | "resizer" | "resizerpanel" | "scale-horizontal" | "scale-vertical" | "scalethumb-horizontal" | "scalethumb-vertical" | "scalethumbend" | "scalethumbstart" | "scalethumbtick" | "scrollbarbutton-down" | "scrollbarbutton-left" | "scrollbarbutton-right" | "scrollbarbutton-up" | "scrollbarthumb-horizontal" | "scrollbarthumb-vertical" | "scrollbartrack-horizontal" | "scrollbartrack-vertical" | "searchfield" | "separator" | "sheet" | "spinner" | "spinner-downbutton" | "spinner-textfield" | "spinner-upbutton" | "splitter" | "statusbar" | "statusbarpanel" | "tab" | "tab-scroll-arrow-back" | "tab-scroll-arrow-forward" | "tabpanel" | "tabpanels" | "textfield" | "textfield-multiline" | "toolbar" | "toolbarbutton" | "toolbarbutton-dropdown" | "toolbargripper" | "toolbox" | "tooltip" | "treeheader" | "treeheadercell" | "treeheadersortarrow" | "treeitem" | "treeline" | "treetwisty" | "treetwistyopen" | "treeview" | import("csstype").MozAppearanceProperty[] | undefined;
            MozBackfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | import("csstype").BackfaceVisibilityProperty[] | undefined;
            MozBorderBottomColors?: string | string[] | undefined;
            MozBorderEndColor?: string | string[] | undefined;
            MozBorderEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            MozBorderEndWidth?: string | number | string[] | (string | number)[] | undefined;
            MozBorderLeftColors?: string | string[] | undefined;
            MozBorderRightColors?: string | string[] | undefined;
            MozBorderStartColor?: string | string[] | undefined;
            MozBorderStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | import("csstype").BorderBlockEndStyleProperty[] | undefined;
            MozBorderTopColors?: string | string[] | undefined;
            MozBoxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | import("csstype").BoxSizingProperty[] | undefined;
            MozColumnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            MozColumnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | import("csstype").ColumnFillProperty[] | undefined;
            MozColumnGap?: string | number | string[] | (string | number)[] | undefined;
            MozColumnRuleColor?: string | string[] | undefined;
            MozColumnRuleStyle?: string | string[] | undefined;
            MozColumnRuleWidth?: string | number | string[] | (string | number)[] | undefined;
            MozColumnWidth?: string | number | string[] | (string | number)[] | undefined;
            MozContextProperties?: string | string[] | undefined;
            MozFloatEdge?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | "padding-box" | "margin-box" | import("csstype").MozFloatEdgeProperty[] | undefined;
            MozFontFeatureSettings?: string | string[] | undefined;
            MozFontLanguageOverride?: string | string[] | undefined;
            MozForceBrokenImageIcon?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            MozImageRegion?: string | string[] | undefined;
            MozMarginEnd?: string | number | string[] | (string | number)[] | undefined;
            MozMarginStart?: string | number | string[] | (string | number)[] | undefined;
            MozOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "block" | "inline" | "horizontal" | "vertical" | import("csstype").MozOrientProperty[] | undefined;
            MozOutlineRadiusBottomleft?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineRadiusBottomright?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineRadiusTopleft?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineRadiusTopright?: string | number | string[] | (string | number)[] | undefined;
            MozPaddingEnd?: string | number | string[] | (string | number)[] | undefined;
            MozPaddingStart?: string | number | string[] | (string | number)[] | undefined;
            MozPerspective?: string | number | string[] | (string | number)[] | undefined;
            MozPerspectiveOrigin?: string | number | string[] | (string | number)[] | undefined;
            MozStackSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "ignore" | "stretch-to-fit" | import("csstype").MozStackSizingProperty[] | undefined;
            MozTabSize?: string | number | string[] | (string | number)[] | undefined;
            MozTextSizeAdjust?: string | string[] | undefined;
            MozTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            MozTransformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | import("csstype").TransformStyleProperty[] | undefined;
            MozTransitionDelay?: string | string[] | undefined;
            MozTransitionDuration?: string | string[] | undefined;
            MozTransitionProperty?: string | string[] | undefined;
            MozTransitionTimingFunction?: string | string[] | undefined;
            MozUserFocus?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "none" | "ignore" | "select-after" | "select-all" | "select-before" | "select-menu" | "select-same" | import("csstype").MozUserFocusProperty[] | undefined;
            MozUserModify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "read-only" | "read-write" | "write-only" | import("csstype").MozUserModifyProperty[] | undefined;
            MozUserSelect?: "text" | "contain" | "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-moz-none" | "element" | import("csstype").UserSelectProperty[] | undefined;
            MozWindowDragging?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "drag" | "no-drag" | import("csstype").MozWindowDraggingProperty[] | undefined;
            MozWindowShadow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "default" | "menu" | "sheet" | "tooltip" | import("csstype").MozWindowShadowProperty[] | undefined;
            msAccelerator?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "false" | "true" | import("csstype").MsAcceleratorProperty[] | undefined;
            msAlignSelf?: string | string[] | undefined;
            msBlockProgression?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "bt" | "lr" | "rl" | "tb" | import("csstype").MsBlockProgressionProperty[] | undefined;
            msContentZoomChaining?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "chained" | import("csstype").MsContentZoomChainingProperty[] | undefined;
            msContentZoomLimitMax?: string | string[] | undefined;
            msContentZoomLimitMin?: string | string[] | undefined;
            msContentZoomSnapPoints?: string | string[] | undefined;
            msContentZoomSnapType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            msContentZooming?: "zoom" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").MsContentZoomingProperty[] | undefined;
            msFilter?: string | string[] | undefined;
            msFlexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | import("csstype").FlexDirectionProperty[] | undefined;
            msFlexPositive?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            msFlowFrom?: string | string[] | undefined;
            msFlowInto?: string | string[] | undefined;
            msGridColumns?: string | number | string[] | (string | number)[] | undefined;
            msGridRows?: string | number | string[] | (string | number)[] | undefined;
            msHighContrastAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | import("csstype").FontOpticalSizingProperty[] | undefined;
            msHyphenateLimitChars?: string | number | string[] | (string | number)[] | undefined;
            msHyphenateLimitLines?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-limit" | import("csstype").MsHyphenateLimitLinesProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-limit")[] | undefined;
            msHyphenateLimitZone?: string | number | string[] | (string | number)[] | undefined;
            msHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            msImeAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "after" | import("csstype").MsImeAlignProperty[] | undefined;
            msLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | import("csstype").LineBreakProperty[] | undefined;
            msOrder?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            msOverflowStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-ms-autohiding-scrollbar" | "scrollbar" | import("csstype").MsOverflowStyleProperty[] | undefined;
            msOverflowX?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            msOverflowY?: "clip" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | import("csstype").OverflowXProperty[] | undefined;
            msScrollChaining?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "chained" | import("csstype").MsContentZoomChainingProperty[] | undefined;
            msScrollLimitXMax?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimitXMin?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimitYMax?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimitYMin?: string | number | string[] | (string | number)[] | undefined;
            msScrollRails?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "railed" | import("csstype").MsScrollRailsProperty[] | undefined;
            msScrollSnapPointsX?: string | string[] | undefined;
            msScrollSnapPointsY?: string | string[] | undefined;
            msScrollSnapType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            msScrollTranslation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "vertical-to-horizontal" | import("csstype").MsScrollTranslationProperty[] | undefined;
            msTextAutospace?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "ideograph-alpha" | "ideograph-numeric" | "ideograph-parenthesis" | "ideograph-space" | import("csstype").MsTextAutospaceProperty[] | undefined;
            msTextCombineHorizontal?: string | string[] | undefined;
            msTextOverflow?: string | string[] | undefined;
            msTextSizeAdjust?: string | string[] | undefined;
            msTouchAction?: string | string[] | undefined;
            msTouchSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "grippers" | import("csstype").MsTouchSelectProperty[] | undefined;
            msTransform?: string | string[] | undefined;
            msTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            msUserSelect?: "text" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "element" | import("csstype").MsUserSelectProperty[] | undefined;
            msWordBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | "break-all" | "keep-all" | import("csstype").WordBreakProperty[] | undefined;
            msWrapFlow?: "clear" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "end" | "start" | "auto" | "both" | "maximum" | import("csstype").MsWrapFlowProperty[] | undefined;
            msWrapMargin?: string | number | string[] | (string | number)[] | undefined;
            msWrapThrough?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "wrap" | import("csstype").MsWrapThroughProperty[] | undefined;
            msWritingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | import("csstype").WritingModeProperty[] | undefined;
            OObjectFit?: "contain" | "fill" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "cover" | "scale-down" | import("csstype").ObjectFitProperty[] | undefined;
            OObjectPosition?: string | number | string[] | (string | number)[] | undefined;
            OTabSize?: string | number | string[] | (string | number)[] | undefined;
            OTextOverflow?: string | string[] | undefined;
            OTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            WebkitAlignContent?: string | string[] | undefined;
            WebkitAlignItems?: string | string[] | undefined;
            WebkitAlignSelf?: string | string[] | undefined;
            WebkitAnimationDelay?: string | string[] | undefined;
            WebkitAnimationDirection?: string | string[] | undefined;
            WebkitAnimationDuration?: string | string[] | undefined;
            WebkitAnimationFillMode?: string | string[] | undefined;
            WebkitAnimationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            WebkitAnimationName?: string | string[] | undefined;
            WebkitAnimationPlayState?: string | string[] | undefined;
            WebkitAnimationTimingFunction?: string | string[] | undefined;
            WebkitAppearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "button" | "button-bevel" | "caret" | "checkbox" | "listbox" | "listitem" | "menulist" | "menulist-button" | "menulist-text" | "menulist-textfield" | "radio" | "searchfield" | "textfield" | "default-button" | "inner-spin-button" | "media-controls-background" | "media-controls-fullscreen-background" | "media-current-time-display" | "media-enter-fullscreen-button" | "media-exit-fullscreen-button" | "media-fullscreen-button" | "media-mute-button" | "media-overlay-play-button" | "media-play-button" | "media-seek-back-button" | "media-seek-forward-button" | "media-slider" | "media-sliderthumb" | "media-time-remaining-display" | "media-toggle-closed-captions-button" | "media-volume-slider" | "media-volume-slider-container" | "media-volume-sliderthumb" | "meter" | "progress-bar" | "progress-bar-value" | "push-button" | "searchfield-cancel-button" | "searchfield-decoration" | "searchfield-results-button" | "searchfield-results-decoration" | "slider-horizontal" | "slider-vertical" | "sliderthumb-horizontal" | "sliderthumb-vertical" | "square-button" | "textarea" | import("csstype").WebkitAppearanceProperty[] | undefined;
            WebkitBackdropFilter?: string | string[] | undefined;
            WebkitBackfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | import("csstype").BackfaceVisibilityProperty[] | undefined;
            WebkitBackgroundClip?: string | string[] | undefined;
            WebkitBackgroundOrigin?: string | string[] | undefined;
            WebkitBackgroundSize?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBeforeColor?: string | string[] | undefined;
            WebkitBorderBeforeStyle?: string | string[] | undefined;
            WebkitBorderBeforeWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBottomLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBottomRightRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderImageSlice?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderTopLeftRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderTopRightRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitBoxDecorationBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | import("csstype").BoxDecorationBreakProperty[] | undefined;
            WebkitBoxReflect?: string | number | string[] | (string | number)[] | undefined;
            WebkitBoxShadow?: string | string[] | undefined;
            WebkitBoxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | import("csstype").BoxSizingProperty[] | undefined;
            WebkitClipPath?: string | string[] | undefined;
            WebkitColorAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "economy" | "exact" | import("csstype").ColorAdjustProperty[] | undefined;
            WebkitColumnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | import("csstype").ColumnCountProperty[] | ("-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto")[] | undefined;
            WebkitColumnGap?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumnRuleColor?: string | string[] | undefined;
            WebkitColumnRuleStyle?: string | string[] | undefined;
            WebkitColumnRuleWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumnSpan?: "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").ColumnSpanProperty[] | undefined;
            WebkitColumnWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitFilter?: string | string[] | undefined;
            WebkitFlexBasis?: string | number | string[] | (string | number)[] | undefined;
            WebkitFlexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | import("csstype").FlexDirectionProperty[] | undefined;
            WebkitFlexGrow?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitFlexShrink?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitFlexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | import("csstype").FlexWrapProperty[] | undefined;
            WebkitFontFeatureSettings?: string | string[] | undefined;
            WebkitFontKerning?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "none" | import("csstype").FontKerningProperty[] | undefined;
            WebkitFontVariantLigatures?: string | string[] | undefined;
            WebkitHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | import("csstype").HyphensProperty[] | undefined;
            WebkitJustifyContent?: string | string[] | undefined;
            WebkitLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | import("csstype").LineBreakProperty[] | undefined;
            WebkitMarginEnd?: string | number | string[] | (string | number)[] | undefined;
            WebkitMarginStart?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskAttachment?: string | string[] | undefined;
            WebkitMaskClip?: string | string[] | undefined;
            WebkitMaskComposite?: string | string[] | undefined;
            WebkitMaskImage?: string | string[] | undefined;
            WebkitMaskOrigin?: string | string[] | undefined;
            WebkitMaskPosition?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskPositionX?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskPositionY?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaskRepeat?: string | string[] | undefined;
            WebkitMaskRepeatX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-repeat" | "repeat" | "round" | "space" | import("csstype").WebkitMaskRepeatXProperty[] | undefined;
            WebkitMaskRepeatY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-repeat" | "repeat" | "round" | "space" | import("csstype").WebkitMaskRepeatXProperty[] | undefined;
            WebkitMaskSize?: string | number | string[] | (string | number)[] | undefined;
            WebkitMaxInlineSize?: string | number | string[] | (string | number)[] | undefined;
            WebkitOrder?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitOverflowScrolling?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "touch" | import("csstype").WebkitOverflowScrollingProperty[] | undefined;
            WebkitPaddingEnd?: string | number | string[] | (string | number)[] | undefined;
            WebkitPaddingStart?: string | number | string[] | (string | number)[] | undefined;
            WebkitPerspective?: string | number | string[] | (string | number)[] | undefined;
            WebkitPerspectiveOrigin?: string | number | string[] | (string | number)[] | undefined;
            WebkitScrollSnapType?: string | string[] | undefined;
            WebkitShapeMargin?: string | number | string[] | (string | number)[] | undefined;
            WebkitTapHighlightColor?: string | string[] | undefined;
            WebkitTextCombine?: string | string[] | undefined;
            WebkitTextDecorationColor?: string | string[] | undefined;
            WebkitTextDecorationLine?: string | string[] | undefined;
            WebkitTextDecorationSkip?: string | string[] | undefined;
            WebkitTextDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | import("csstype").TextDecorationStyleProperty[] | undefined;
            WebkitTextEmphasisColor?: string | string[] | undefined;
            WebkitTextEmphasisPosition?: string | string[] | undefined;
            WebkitTextEmphasisStyle?: string | string[] | undefined;
            WebkitTextFillColor?: string | string[] | undefined;
            WebkitTextOrientation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "mixed" | "sideways" | "upright" | import("csstype").TextOrientationProperty[] | undefined;
            WebkitTextSizeAdjust?: string | string[] | undefined;
            WebkitTextStrokeColor?: string | string[] | undefined;
            WebkitTextStrokeWidth?: string | number | string[] | (string | number)[] | undefined;
            WebkitTouchCallout?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "default" | import("csstype").WebkitTouchCalloutProperty[] | undefined;
            WebkitTransform?: string | string[] | undefined;
            WebkitTransformOrigin?: string | number | string[] | (string | number)[] | undefined;
            WebkitTransformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | import("csstype").TransformStyleProperty[] | undefined;
            WebkitTransitionDelay?: string | string[] | undefined;
            WebkitTransitionDuration?: string | string[] | undefined;
            WebkitTransitionProperty?: string | string[] | undefined;
            WebkitTransitionTimingFunction?: string | string[] | undefined;
            WebkitUserModify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "read-only" | "read-write" | "read-write-plaintext-only" | import("csstype").WebkitUserModifyProperty[] | undefined;
            WebkitUserSelect?: "text" | "contain" | "all" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-moz-none" | "element" | import("csstype").UserSelectProperty[] | undefined;
            WebkitWritingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | import("csstype").WritingModeProperty[] | undefined;
            MozAnimation?: string | number | string[] | (string | number)[] | undefined;
            MozBorderImage?: string | number | string[] | (string | number)[] | undefined;
            MozColumnRule?: string | number | string[] | (string | number)[] | undefined;
            MozColumns?: string | number | string[] | (string | number)[] | undefined;
            MozTransition?: string | string[] | undefined;
            msContentZoomLimit?: string | string[] | undefined;
            msContentZoomSnap?: string | string[] | undefined;
            msFlex?: string | number | string[] | (string | number)[] | undefined;
            msScrollLimit?: string | string[] | undefined;
            msScrollSnapX?: string | string[] | undefined;
            msScrollSnapY?: string | string[] | undefined;
            OBorderImage?: string | number | string[] | (string | number)[] | undefined;
            WebkitAnimation?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderBefore?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderImage?: string | number | string[] | (string | number)[] | undefined;
            WebkitBorderRadius?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumnRule?: string | number | string[] | (string | number)[] | undefined;
            WebkitColumns?: string | number | string[] | (string | number)[] | undefined;
            WebkitFlex?: string | number | string[] | (string | number)[] | undefined;
            WebkitFlexFlow?: string | string[] | undefined;
            WebkitLineClamp?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | import("csstype").AppearanceProperty[] | import("csstype").FontSizeAdjustProperty[] | undefined;
            WebkitMask?: string | number | string[] | (string | number)[] | undefined;
            WebkitTextEmphasis?: string | string[] | undefined;
            WebkitTextStroke?: string | number | string[] | (string | number)[] | undefined;
            WebkitTransition?: string | string[] | undefined;
            boxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            boxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            boxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            boxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            boxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | import("csstype").BoxLinesProperty[] | undefined;
            boxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            boxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            boxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            clip?: string | string[] | undefined;
            fontVariantAlternates?: string | string[] | undefined;
            gridColumnGap?: string | number | string[] | (string | number)[] | undefined;
            gridGap?: string | number | string[] | (string | number)[] | undefined;
            gridRowGap?: string | number | string[] | (string | number)[] | undefined;
            imeMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "active" | "disabled" | "inactive" | import("csstype").ImeModeProperty[] | undefined;
            offsetBlockEnd?: string | number | string[] | (string | number)[] | undefined;
            offsetBlockStart?: string | number | string[] | (string | number)[] | undefined;
            offsetInlineEnd?: string | number | string[] | (string | number)[] | undefined;
            offsetInlineStart?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapCoordinate?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapDestination?: string | number | string[] | (string | number)[] | undefined;
            scrollSnapPointsX?: string | string[] | undefined;
            scrollSnapPointsY?: string | string[] | undefined;
            scrollSnapTypeX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            scrollSnapTypeY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | import("csstype").MsContentZoomSnapTypeProperty[] | undefined;
            textCombineHorizontal?: string | string[] | undefined;
            KhtmlBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            KhtmlBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            KhtmlBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            KhtmlBoxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            KhtmlBoxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | import("csstype").BoxLinesProperty[] | undefined;
            KhtmlBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            KhtmlBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            KhtmlBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            MozBackgroundClip?: string | string[] | undefined;
            MozBackgroundInlinePolicy?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | import("csstype").BoxDecorationBreakProperty[] | undefined;
            MozBackgroundOrigin?: string | string[] | undefined;
            MozBackgroundSize?: string | number | string[] | (string | number)[] | undefined;
            MozBinding?: string | string[] | undefined;
            MozBorderRadius?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusBottomleft?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusBottomright?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusTopleft?: string | number | string[] | (string | number)[] | undefined;
            MozBorderRadiusTopright?: string | number | string[] | (string | number)[] | undefined;
            MozBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            MozBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            MozBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            MozBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            MozBoxShadow?: string | string[] | undefined;
            MozOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            MozOutline?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineColor?: string | string[] | undefined;
            MozOutlineRadius?: string | number | string[] | (string | number)[] | undefined;
            MozOutlineStyle?: string | string[] | undefined;
            MozOutlineWidth?: string | number | string[] | (string | number)[] | undefined;
            MozResize?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "block" | "inline" | "horizontal" | "vertical" | import("csstype").ResizeProperty[] | undefined;
            MozTextAlignLast?: "left" | "right" | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "auto" | "justify" | import("csstype").TextAlignLastProperty[] | undefined;
            MozTextBlink?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "blink" | import("csstype").MozTextBlinkProperty[] | undefined;
            MozTextDecorationColor?: string | string[] | undefined;
            MozTextDecorationLine?: string | string[] | undefined;
            MozTextDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | import("csstype").TextDecorationStyleProperty[] | undefined;
            MozUserInput?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "disabled" | "enabled" | import("csstype").MozUserInputProperty[] | undefined;
            msImeMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "active" | "disabled" | "inactive" | import("csstype").ImeModeProperty[] | undefined;
            msScrollbar3dlightColor?: string | string[] | undefined;
            msScrollbarArrowColor?: string | string[] | undefined;
            msScrollbarBaseColor?: string | string[] | undefined;
            msScrollbarDarkshadowColor?: string | string[] | undefined;
            msScrollbarFaceColor?: string | string[] | undefined;
            msScrollbarHighlightColor?: string | string[] | undefined;
            msScrollbarShadowColor?: string | string[] | undefined;
            msScrollbarTrackColor?: string | string[] | undefined;
            OAnimation?: string | number | string[] | (string | number)[] | undefined;
            OAnimationDelay?: string | string[] | undefined;
            OAnimationDirection?: string | string[] | undefined;
            OAnimationDuration?: string | string[] | undefined;
            OAnimationFillMode?: string | string[] | undefined;
            OAnimationIterationCount?: string | number | string[] | (string | number)[] | undefined;
            OAnimationName?: string | string[] | undefined;
            OAnimationPlayState?: string | string[] | undefined;
            OAnimationTimingFunction?: string | string[] | undefined;
            OBackgroundSize?: string | number | string[] | (string | number)[] | undefined;
            OTransform?: string | string[] | undefined;
            OTransition?: string | string[] | undefined;
            OTransitionDelay?: string | string[] | undefined;
            OTransitionDuration?: string | string[] | undefined;
            OTransitionProperty?: string | string[] | undefined;
            OTransitionTimingFunction?: string | string[] | undefined;
            WebkitBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | import("csstype").BoxAlignProperty[] | undefined;
            WebkitBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | import("csstype").BoxDirectionProperty[] | undefined;
            WebkitBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitBoxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitBoxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | import("csstype").BoxLinesProperty[] | undefined;
            WebkitBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            WebkitBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | import("csstype").BoxOrientProperty[] | undefined;
            WebkitBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | import("csstype").BoxPackProperty[] | undefined;
            WebkitScrollSnapPointsX?: string | string[] | undefined;
            WebkitScrollSnapPointsY?: string | string[] | undefined;
            alignmentBaseline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "baseline" | "auto" | "middle" | "after-edge" | "alphabetic" | "before-edge" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | import("csstype").AlignmentBaselineProperty[] | undefined;
            baselineShift?: string | number | string[] | (string | number)[] | undefined;
            clipRule?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "evenodd" | "nonzero" | import("csstype").ClipRuleProperty[] | undefined;
            colorInterpolation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "linearRGB" | "sRGB" | import("csstype").ColorInterpolationProperty[] | undefined;
            colorRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "optimizeSpeed" | "optimizeQuality" | import("csstype").ColorRenderingProperty[] | undefined;
            dominantBaseline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "middle" | "alphabetic" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | "no-change" | "reset-size" | "use-script" | import("csstype").DominantBaselineProperty[] | undefined;
            fill?: string | string[] | undefined;
            fillOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            fillRule?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "evenodd" | "nonzero" | import("csstype").ClipRuleProperty[] | undefined;
            floodColor?: string | string[] | undefined;
            floodOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            glyphOrientationVertical?: string | number | string[] | (string | number)[] | undefined;
            lightingColor?: string | string[] | undefined;
            marker?: string | string[] | undefined;
            markerEnd?: string | string[] | undefined;
            markerMid?: string | string[] | undefined;
            markerStart?: string | string[] | undefined;
            shapeRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "geometricPrecision" | "optimizeSpeed" | "crispEdges" | import("csstype").ShapeRenderingProperty[] | undefined;
            stopColor?: string | string[] | undefined;
            stopOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            stroke?: string | string[] | undefined;
            strokeDasharray?: string | number | string[] | (string | number)[] | undefined;
            strokeDashoffset?: string | number | string[] | (string | number)[] | undefined;
            strokeLinecap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "round" | "butt" | "square" | import("csstype").StrokeLinecapProperty[] | undefined;
            strokeLinejoin?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "round" | "bevel" | "miter" | import("csstype").StrokeLinejoinProperty[] | undefined;
            strokeMiterlimit?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            strokeOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | import("csstype").GlobalsNumber[] | import("csstype").Globals[] | undefined;
            strokeWidth?: string | number | string[] | (string | number)[] | undefined;
            textAnchor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "end" | "start" | "middle" | import("csstype").TextAnchorProperty[] | undefined;
            vectorEffect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "non-scaling-stroke" | import("csstype").VectorEffectProperty[] | undefined;
            ":-moz-any()"?: CSSObject | undefined;
            ":-moz-dir"?: CSSObject | undefined;
            ":-webkit-any()"?: CSSObject | undefined;
            "::cue"?: CSSObject | undefined;
            "::slotted"?: CSSObject | undefined;
            ":dir"?: CSSObject | undefined;
            ":has"?: CSSObject | undefined;
            ":host"?: CSSObject | undefined;
            ":host-context"?: CSSObject | undefined;
            ":is"?: CSSObject | undefined;
            ":lang"?: CSSObject | undefined;
            ":matches()"?: CSSObject | undefined;
            ":not"?: CSSObject | undefined;
            ":nth-child"?: CSSObject | undefined;
            ":nth-last-child"?: CSSObject | undefined;
            ":nth-last-of-type"?: CSSObject | undefined;
            ":nth-of-type"?: CSSObject | undefined;
            ":where"?: CSSObject | undefined;
            ":-moz-any-link"?: CSSObject | undefined;
            ":-moz-full-screen"?: CSSObject | undefined;
            ":-moz-placeholder"?: CSSObject | undefined;
            ":-moz-read-only"?: CSSObject | undefined;
            ":-moz-read-write"?: CSSObject | undefined;
            ":-ms-fullscreen"?: CSSObject | undefined;
            ":-ms-input-placeholder"?: CSSObject | undefined;
            ":-webkit-any-link"?: CSSObject | undefined;
            ":-webkit-full-screen"?: CSSObject | undefined;
            "::-moz-placeholder"?: CSSObject | undefined;
            "::-moz-progress-bar"?: CSSObject | undefined;
            "::-moz-range-progress"?: CSSObject | undefined;
            "::-moz-range-thumb"?: CSSObject | undefined;
            "::-moz-range-track"?: CSSObject | undefined;
            "::-moz-selection"?: CSSObject | undefined;
            "::-ms-backdrop"?: CSSObject | undefined;
            "::-ms-browse"?: CSSObject | undefined;
            "::-ms-check"?: CSSObject | undefined;
            "::-ms-clear"?: CSSObject | undefined;
            "::-ms-fill"?: CSSObject | undefined;
            "::-ms-fill-lower"?: CSSObject | undefined;
            "::-ms-fill-upper"?: CSSObject | undefined;
            "::-ms-reveal"?: CSSObject | undefined;
            "::-ms-thumb"?: CSSObject | undefined;
            "::-ms-ticks-after"?: CSSObject | undefined;
            "::-ms-ticks-before"?: CSSObject | undefined;
            "::-ms-tooltip"?: CSSObject | undefined;
            "::-ms-track"?: CSSObject | undefined;
            "::-ms-value"?: CSSObject | undefined;
            "::-webkit-backdrop"?: CSSObject | undefined;
            "::-webkit-input-placeholder"?: CSSObject | undefined;
            "::-webkit-progress-bar"?: CSSObject | undefined;
            "::-webkit-progress-inner-value"?: CSSObject | undefined;
            "::-webkit-progress-value"?: CSSObject | undefined;
            "::-webkit-slider-runnable-track"?: CSSObject | undefined;
            "::-webkit-slider-thumb"?: CSSObject | undefined;
            "::after"?: CSSObject | undefined;
            "::backdrop"?: CSSObject | undefined;
            "::before"?: CSSObject | undefined;
            "::first-letter"?: CSSObject | undefined;
            "::first-line"?: CSSObject | undefined;
            "::grammar-error"?: CSSObject | undefined;
            "::placeholder"?: CSSObject | undefined;
            "::selection"?: CSSObject | undefined;
            "::spelling-error"?: CSSObject | undefined;
            ":active"?: CSSObject | undefined;
            ":after"?: CSSObject | undefined;
            ":any-link"?: CSSObject | undefined;
            ":before"?: CSSObject | undefined;
            ":blank"?: CSSObject | undefined;
            ":checked"?: CSSObject | undefined;
            ":default"?: CSSObject | undefined;
            ":defined"?: CSSObject | undefined;
            ":disabled"?: CSSObject | undefined;
            ":empty"?: CSSObject | undefined;
            ":enabled"?: CSSObject | undefined;
            ":first"?: CSSObject | undefined;
            ":first-child"?: CSSObject | undefined;
            ":first-letter"?: CSSObject | undefined;
            ":first-line"?: CSSObject | undefined;
            ":first-of-type"?: CSSObject | undefined;
            ":focus"?: CSSObject | undefined;
            ":focus-visible"?: CSSObject | undefined;
            ":focus-within"?: CSSObject | undefined;
            ":fullscreen"?: CSSObject | undefined;
            ":hover"?: CSSObject | undefined;
            ":in-range"?: CSSObject | undefined;
            ":indeterminate"?: CSSObject | undefined;
            ":invalid"?: CSSObject | undefined;
            ":last-child"?: CSSObject | undefined;
            ":last-of-type"?: CSSObject | undefined;
            ":left"?: CSSObject | undefined;
            ":link"?: CSSObject | undefined;
            ":only-child"?: CSSObject | undefined;
            ":only-of-type"?: CSSObject | undefined;
            ":optional"?: CSSObject | undefined;
            ":out-of-range"?: CSSObject | undefined;
            ":placeholder-shown"?: CSSObject | undefined;
            ":read-only"?: CSSObject | undefined;
            ":read-write"?: CSSObject | undefined;
            ":required"?: CSSObject | undefined;
            ":right"?: CSSObject | undefined;
            ":root"?: CSSObject | undefined;
            ":scope"?: CSSObject | undefined;
            ":target"?: CSSObject | undefined;
            ":valid"?: CSSObject | undefined;
            ":visited"?: CSSObject | undefined;
        };
        '& [data-ds--code--row]': {
            display: string;
            paddingRight: string;
            marginRight: string;
        };
        '& [data-ds--code--row--highlight]': {
            background: string;
            '&::before, &::after': {
                clipPath: string;
                clip: string;
                height: string;
                overflow: string;
                position: string;
                whiteSpace: string;
                width: string;
            };
            '&::before': {
                content: string;
            };
            '&::after': {
                content: string;
            };
        };
        '& [data-ds--code--row--highlight] .linenumber': {
            borderLeft: string;
            paddingLeft: string;
            position: string;
        };
        '& [data-ds--code--row--highlight] .linenumber::before': {
            content: string;
            position: string;
            width: string;
            top: string;
            left: string;
            borderTop: string;
        };
        '[data-ds--code--row--highlight] + [data-ds--code--row]:not([data-ds--code--row--highlight]), [data-ds--code--row]:not([data-ds--code--row--highlight]) + [data-ds--code--row--highlight]': {
            borderTop: string;
        };
        '[data-ds--code--row--highlight]:last-child': {
            borderBottom: string;
        };
        '& code:first-of-type': {
            paddingRight: string;
            backgroundImage: string | undefined;
        };
        '& code:last-of-type': {
            paddingRight: string;
            flex: string;
        };
    };
    codeContainerStyle: (hasLineNumbers?: boolean | undefined) => {
        padding: string | number;
    };
};
